## org.eclipse.datatools.modelbase.dbdefinition
Interface DatabaseDefinitionPackage

All Known Implementing Classes:
  DatabaseDefinitionPackageImpl

    public interface DatabaseDefinitionPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `DatabaseDefinitionFactory`

Nested Class Summary
`static interface` `DatabaseDefinitionPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static int` `CHECK_OPTION` The meta object id for the '`Check Option`' enum.
`static int` `COLUMN_DEFINITION` The meta object id for the '`Column Definition`' class.
`static int` `COLUMN_DEFINITION__COMPUTED_SUPPORTED` The feature id for the 'Computed Supported' attribute.
`static int` `COLUMN_DEFINITION__IDENTITY_COLUMN_DATA_TYPE_DEFINITIONS` The feature id for the 'Identity Column Data Type Definitions' reference list.
`static int` `COLUMN_DEFINITION__IDENTITY_CYCLE_SUPPORTED` The feature id for the 'Identity Cycle Supported' attribute.
`static int` `COLUMN_DEFINITION__IDENTITY_INCREMENT_SUPPORTED` The feature id for the 'Identity Increment Supported' attribute.
`static int` `COLUMN_DEFINITION__IDENTITY_MAXIMUM_SUPPORTED` The feature id for the 'Identity Maximum Supported' attribute.
`static int` `COLUMN_DEFINITION__IDENTITY_MINIMUM_SUPPORTED` The feature id for the 'Identity Minimum Supported' attribute.
`static int` `COLUMN_DEFINITION__IDENTITY_START_VALUE_SUPPORTED` The feature id for the 'Identity Start Value Supported' attribute.
`static int` `COLUMN_DEFINITION__IDENTITY_SUPPORTED` The feature id for the 'Identity Supported' attribute.
`static int` `COLUMN_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The feature id for the 'Maximum Identifier Length' attribute.
`static int` `COLUMN_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Column Definition' class.
`static int` `CONSTRAINT_DEFINITION` The meta object id for the '`Constraint Definition`' class.
`static int` `CONSTRAINT_DEFINITION__CHECK_OPTION` The feature id for the 'Check Option' attribute list.
`static int` `CONSTRAINT_DEFINITION__CLUSTERED_PRIMARY_KEY_SUPPORTED` The feature id for the 'Clustered Primary Key Supported' attribute.
`static int` `CONSTRAINT_DEFINITION__CLUSTERED_UNIQUE_CONSTRAINT_SUPPORTED` The feature id for the 'Clustered Unique Constraint Supported' attribute.
`static int` `CONSTRAINT_DEFINITION__DEFERRABLE_CONSTRAINT_SUPPORTED` The feature id for the 'Deferrable Constraint Supported' attribute.
`static int` `CONSTRAINT_DEFINITION__INFORMATIONAL_CONSTRAINT_SUPPORTED` The feature id for the 'Informational Constraint Supported' attribute.
`static int` `CONSTRAINT_DEFINITION__MAXIMUM_CHECK_CONSTRAINT_IDENTIFIER_LENGTH` The feature id for the 'Maximum Check Constraint Identifier Length' attribute.
`static int` `CONSTRAINT_DEFINITION__MAXIMUM_CHECK_EXPRESSION_LENGTH` The feature id for the 'Maximum Check Expression Length' attribute.
`static int` `CONSTRAINT_DEFINITION__MAXIMUM_FOREIGN_KEY_IDENTIFIER_LENGTH` The feature id for the 'Maximum Foreign Key Identifier Length' attribute.
`static int` `CONSTRAINT_DEFINITION__MAXIMUM_PRIMARY_KEY_IDENTIFIER_LENGTH` The feature id for the 'Maximum Primary Key Identifier Length' attribute.
`static int` `CONSTRAINT_DEFINITION__PARENT_DELETE_DRI_RULE_TYPE` The feature id for the 'Parent Delete DRI Rule Type' attribute list.
`static int` `CONSTRAINT_DEFINITION__PARENT_UPDATE_DRI_RULE_TYPE` The feature id for the 'Parent Update DRI Rule Type' attribute list.
`static int` `CONSTRAINT_DEFINITION__PRIMARY_KEY_NULLABLE` The feature id for the 'Primary Key Nullable' attribute.
`static int` `CONSTRAINT_DEFINITION__UNIQUE_KEY_NULLABLE` The feature id for the 'Unique Key Nullable' attribute.
`static int` `CONSTRAINT_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Constraint Definition' class.
`static int` `DATABASE_VENDOR_DEFINITION` The meta object id for the '`Database Vendor Definition`' class.
`static int` `DATABASE_VENDOR_DEFINITION__ALIAS_SUPPORTED` The feature id for the 'Alias Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__AUTHORIZATION_IDENTIFIER_SUPPORTED` The feature id for the 'Authorization Identifier Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__COLUMN_DEFINITION` The feature id for the 'Column Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__CONSTRAINT_DEFINITION` The feature id for the 'Constraint Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__CONSTRAINTS_SUPPORTED` The feature id for the 'Constraints Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__DEBUGGER_DEFINITION` The feature id for the 'Debugger Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__DOMAIN_SUPPORTED` The feature id for the 'Domain Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__EVENT_SUPPORTED` The feature id for the 'Event Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__EXTENDED_DEFINITIONS` The feature id for the 'Extended Definitions' containment reference list.
`static int` `DATABASE_VENDOR_DEFINITION__GROUP_SUPPORTED` The feature id for the 'Group Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__INDEX_DEFINITION` The feature id for the 'Index Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__JOIN_SUPPORTED` The feature id for the 'Join Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__MAXIMUM_COMMENT_LENGTH` The feature id for the 'Maximum Comment Length' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The feature id for the 'Maximum Identifier Length' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__MQT_INDEX_SUPPORTED` The feature id for the 'MQT Index Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__MQT_SUPPORTED` The feature id for the 'MQT Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__NICKNAME_DEFINITION` The feature id for the 'Nickname Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__NICKNAME_SUPPORTED` The feature id for the 'Nickname Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__PACKAGE_SUPPORTED` The feature id for the 'Package Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS` The feature id for the 'Predefined Data Type Definitions' containment reference list.
`static int` `DATABASE_VENDOR_DEFINITION__PRIVILEGED_ELEMENT_DEFINITIONS` The feature id for the 'Privileged Element Definitions' containment reference list.
`static int` `DATABASE_VENDOR_DEFINITION__QUERY_DEFINITION` The feature id for the 'Query Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__QUOTED_DDL_SUPPORTED` The feature id for the 'Quoted DDL Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__QUOTED_DML_SUPPORTED` The feature id for the 'Quoted DML Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__ROLE_AUTHORIZATION_SUPPORTED` The feature id for the 'Role Authorization Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__ROLE_SUPPORTED` The feature id for the 'Role Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__SCHEMA_DEFINITION` The feature id for the 'Schema Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__SCHEMA_SUPPORTED` The feature id for the 'Schema Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__SEQUENCE_DEFINITION` The feature id for the 'Sequence Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__SEQUENCE_SUPPORTED` The feature id for the 'Sequence Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__SNAPSHOT_VIEW_SUPPORTED` The feature id for the 'Snapshot View Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__SQL_STATEMENT_SUPPORTED` The feature id for the 'SQL Statement Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__SQL_SYNTAX_DEFINITION` The feature id for the 'SQL Syntax Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__SQL_UDF_SUPPORTED` The feature id for the 'Sql UDF Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_DEFINITION` The feature id for the 'Stored Procedure Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_SUPPORTED` The feature id for the 'Stored Procedure Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__SYNONYM_SUPPORTED` The feature id for the 'Synonym Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__TABLE_DEFINITION` The feature id for the 'Table Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__TABLE_SPACE_DEFINITION` The feature id for the 'Table Space Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__TABLESPACES_SUPPORTED` The feature id for the 'Tablespaces Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__TRIGGER_DEFINITION` The feature id for the 'Trigger Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__TRIGGER_SUPPORTED` The feature id for the 'Trigger Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__UDT_DEFINITION` The feature id for the 'Udt Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__USER_DEFINED_TYPE_SUPPORTED` The feature id for the 'User Defined Type Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__USER_SUPPORTED` The feature id for the 'User Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__VENDOR` The feature id for the 'Vendor' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__VERSION` The feature id for the 'Version' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__VIEW_DEFINITION` The feature id for the 'View Definition' containment reference.
`static int` `DATABASE_VENDOR_DEFINITION__VIEW_TRIGGER_SUPPORTED` The feature id for the 'View Trigger Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION__XML_SUPPORTED` The feature id for the 'Xml Supported' attribute.
`static int` `DATABASE_VENDOR_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Database Vendor Definition' class.
`static int` `DEBUGGER_DEFINITION` The meta object id for the '`Debugger Definition`' class.
`static int` `DEBUGGER_DEFINITION__CONDITION_SUPPORTED` The feature id for the 'Condition Supported' attribute.
`static int` `DEBUGGER_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Debugger Definition' class.
`static DatabaseDefinitionPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `EXTENDED_DEFINITION` The meta object id for the '`Extended Definition`' class.
`static int` `EXTENDED_DEFINITION__NAME` The feature id for the 'Name' attribute.
`static int` `EXTENDED_DEFINITION__VALUE` The feature id for the 'Value' attribute.
`static int` `EXTENDED_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Extended Definition' class.
`static int` `FIELD_QUALIFIER_DEFINITION` The meta object id for the '`Field Qualifier Definition`' class.
`static int` `FIELD_QUALIFIER_DEFINITION__DEFAULT_PRECISION` The feature id for the 'Default Precision' attribute.
`static int` `FIELD_QUALIFIER_DEFINITION__DEFAULT_SCALE` The feature id for the 'Default Scale' attribute.
`static int` `FIELD_QUALIFIER_DEFINITION__MAXIMUM_PRECISION` The feature id for the 'Maximum Precision' attribute.
`static int` `FIELD_QUALIFIER_DEFINITION__MAXIMUM_SCALE` The feature id for the 'Maximum Scale' attribute.
`static int` `FIELD_QUALIFIER_DEFINITION__NAME` The feature id for the 'Name' attribute.
`static int` `FIELD_QUALIFIER_DEFINITION__PRECISION_SUPPORTED` The feature id for the 'Precision Supported' attribute.
`static int` `FIELD_QUALIFIER_DEFINITION__SCALE_SUPPORTED` The feature id for the 'Scale Supported' attribute.
`static int` `FIELD_QUALIFIER_DEFINITION__VALID_TRAILING_FIELD_QUALIFIER_DEFINITIONS` The feature id for the 'Valid Trailing Field Qualifier Definitions' reference list.
`static int` `FIELD_QUALIFIER_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Field Qualifier Definition' class.
`static int` `INDEX_DEFINITION` The meta object id for the '`Index Definition`' class.
`static int` `INDEX_DEFINITION__CLUSTER_CHANGEABLE` The feature id for the 'Cluster Changeable' attribute.
`static int` `INDEX_DEFINITION__CLUSTERING_SUPPORTED` The feature id for the 'Clustering Supported' attribute.
`static int` `INDEX_DEFINITION__FILL_FACTOR_SUPPORTED` The feature id for the 'Fill Factor Supported' attribute.
`static int` `INDEX_DEFINITION__INCLUDED_COLUMNS_SUPPORTED` The feature id for the 'Included Columns Supported' attribute.
`static int` `INDEX_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The feature id for the 'Maximum Identifier Length' attribute.
`static int` `INDEX_DEFINITION__PERCENT_FREE_CHANGEABLE` The feature id for the 'Percent Free Changeable' attribute.
`static int` `INDEX_DEFINITION__PERCENT_FREE_TERMINOLOGY` The feature id for the 'Percent Free Terminology' attribute.
`static int` `INDEX_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Index Definition' class.
`static int` `LANGUAGE_TYPE` The meta object id for the '`Language Type`' enum.
`static int` `LENGTH_UNIT` The meta object id for the '`Length Unit`' enum.
`static int` `NICKNAME_DEFINITION` The meta object id for the '`Nickname Definition`' class.
`static int` `NICKNAME_DEFINITION__CONSTRAINT_SUPPORTED` The feature id for the 'Constraint Supported' attribute.
`static int` `NICKNAME_DEFINITION__INDEX_SUPPORTED` The feature id for the 'Index Supported' attribute.
`static int` `NICKNAME_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The feature id for the 'Maximum Identifier Length' attribute.
`static int` `NICKNAME_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Nickname Definition' class.
`static int` `PARAMETER_STYLE` The meta object id for the '`Parameter Style`' enum.
`static int` `PARENT_DELETE_DRI_RULE_TYPE` The meta object id for the '`Parent Delete DRI Rule Type`' enum.
`static int` `PARENT_UPDATE_DRI_RULE_TYPE` The meta object id for the '`Parent Update DRI Rule Type`' enum.
`static int` `PERCENT_FREE_TERMINOLOGY` The meta object id for the '`Percent Free Terminology`' enum.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION` The meta object id for the '`Predefined Data Type Definition`' class.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__BIT_DATA_SUPPORTED` The feature id for the 'Bit Data Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET` The feature id for the 'Character Set' attribute list.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET_SUFFIX` The feature id for the 'Character Set Suffix' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__CLUSTERING_SUPPORTED` The feature id for the 'Clustering Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__CUTOFF_PRECISION` The feature id for the 'Cutoff Precision' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LEADING_FIELD_QUALIFIER_DEFINITION` The feature id for the 'Default Leading Field Qualifier Definition' reference.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LENGTH` The feature id for the 'Default Length' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_PRECISION` The feature id for the 'Default Precision' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SCALE` The feature id for the 'Default Scale' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SUPPORTED` The feature id for the 'Default Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_TRAILING_FIELD_QUALIFIER_DEFINITION` The feature id for the 'Default Trailing Field Qualifier Definition' reference.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_VALUE_TYPES` The feature id for the 'Default Value Types' attribute list.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME` The feature id for the 'Display Name' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME_SUPPORTED` The feature id for the 'Display Name Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME` The feature id for the 'Encoding Scheme' attribute list.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME_SUFFIX` The feature id for the 'Encoding Scheme Suffix' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__FIELD_QUALIFIER_SEPARATOR` The feature id for the 'Field Qualifier Separator' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__FILL_FACTOR_SUPPORTED` The feature id for the 'Fill Factor Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__GROUPING_SUPPORTED` The feature id for the 'Grouping Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__IDENTITY_SUPPORTED` The feature id for the 'Identity Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__JAVA_CLASS_NAME` The feature id for the 'Java Class Name' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__JDBC_ENUM_TYPE` The feature id for the 'Jdbc Enum Type' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__KEY_CONSTRAINT_SUPPORTED` The feature id for the 'Key Constraint Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_LENGTH` The feature id for the 'Large Value Specifier Length' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_NAME` The feature id for the 'Large Value Specifier Name' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_SUPPORTED` The feature id for the 'Large Value Specifier Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_DEFINITION` The feature id for the 'Leading Field Qualifier Definition' containment reference list.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_SUPPORTED` The feature id for the 'Leading Field Qualifier Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_SUPPORTED` The feature id for the 'Length Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_UNIT` The feature id for the 'Length Unit' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_LENGTH` The feature id for the 'Maximum Length' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_PRECISION` The feature id for the 'Maximum Precision' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_SCALE` The feature id for the 'Maximum Scale' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_VALUE` The feature id for the 'Maximum Value' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_SCALE` The feature id for the 'Minimum Scale' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_VALUE` The feature id for the 'Minimum Value' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__MULTIPLE_COLUMNS_SUPPORTED` The feature id for the 'Multiple Columns Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__NAME` The feature id for the 'Name' attribute list.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__NULLABLE_SUPPORTED` The feature id for the 'Nullable Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__ORDERING_SUPPORTED` The feature id for the 'Ordering Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__PRECISION_SUPPORTED` The feature id for the 'Precision Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__PRIMITIVE_TYPE` The feature id for the 'Primitive Type' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__SCALE_SUPPORTED` The feature id for the 'Scale Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_DEFINITION` The feature id for the 'Trailing Field Qualifier Definition' containment reference list.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_SUPPORTED` The feature id for the 'Trailing Field Qualifier Supported' attribute.
`static int` `PREDEFINED_DATA_TYPE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Predefined Data Type Definition' class.
`static int` `PRIVILEGE_DEFINITION` The meta object id for the '`Privilege Definition`' class.
`static int` `PRIVILEGE_DEFINITION__ACTION_ELEMENT_DEFINITIONS` The feature id for the 'Action Element Definitions' reference list.
`static int` `PRIVILEGE_DEFINITION__NAME` The feature id for the 'Name' attribute.
`static int` `PRIVILEGE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Privilege Definition' class.
`static int` `PRIVILEGED_ELEMENT_DEFINITION` The meta object id for the '`Privileged Element Definition`' class.
`static int` `PRIVILEGED_ELEMENT_DEFINITION__NAME` The feature id for the 'Name' attribute.
`static int` `PRIVILEGED_ELEMENT_DEFINITION__PRIVILEGE_DEFINITIONS` The feature id for the 'Privilege Definitions' containment reference list.
`static int` `PRIVILEGED_ELEMENT_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Privileged Element Definition' class.
`static int` `PROCEDURE_TYPE` The meta object id for the '`Procedure Type`' enum.
`static int` `QUERY_DEFINITION` The meta object id for the '`Query Definition`' class.
`static int` `QUERY_DEFINITION__CAST_EXPRESSION_SUPPORTED` The feature id for the 'Cast Expression Supported' attribute.
`static int` `QUERY_DEFINITION__DEFAULT_KEYWORD_FOR_INSERT_VALUE_SUPPORTED` The feature id for the 'Default Keyword For Insert Value Supported' attribute.
`static int` `QUERY_DEFINITION__EXTENDED_GROUPING_SUPPORTED` The feature id for the 'Extended Grouping Supported' attribute.
`static int` `QUERY_DEFINITION__HOST_VARIABLE_MARKER` The feature id for the 'Host Variable Marker' attribute.
`static int` `QUERY_DEFINITION__HOST_VARIABLE_MARKER_SUPPORTED` The feature id for the 'Host Variable Marker Supported' attribute.
`static int` `QUERY_DEFINITION__IDENTIFIER_QUOTE_STRING` The feature id for the 'Identifier Quote String' attribute.
`static int` `QUERY_DEFINITION__TABLE_ALIAS_IN_DELETE_SUPPORTED` The feature id for the 'Table Alias In Delete Supported' attribute.
`static int` `QUERY_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Query Definition' class.
`static int` `SCHEMA_DEFINITION` The meta object id for the '`Schema Definition`' class.
`static int` `SCHEMA_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The feature id for the 'Maximum Identifier Length' attribute.
`static int` `SCHEMA_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Schema Definition' class.
`static int` `SEQUENCE_DEFINITION` The meta object id for the '`Sequence Definition`' class.
`static int` `SEQUENCE_DEFINITION__CACHE_DEFAULT_VALUE` The feature id for the 'Cache Default Value' attribute.
`static int` `SEQUENCE_DEFINITION__CACHE_SUPPORTED` The feature id for the 'Cache Supported' attribute.
`static int` `SEQUENCE_DEFINITION__DEFAULT_DATA_TYPE_DEFINITION` The feature id for the 'Default Data Type Definition' reference.
`static int` `SEQUENCE_DEFINITION__NO_CACHE_STRING` The feature id for the 'No Cache String' attribute.
`static int` `SEQUENCE_DEFINITION__NO_MAXIMUM_VALUE_STRING` The feature id for the 'No Maximum Value String' attribute.
`static int` `SEQUENCE_DEFINITION__NO_MINIMUM_VALUE_STRING` The feature id for the 'No Minimum Value String' attribute.
`static int` `SEQUENCE_DEFINITION__ORDER_SUPPORTED` The feature id for the 'Order Supported' attribute.
`static int` `SEQUENCE_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS` The feature id for the 'Predefined Data Type Definitions' reference list.
`static int` `SEQUENCE_DEFINITION__TYPE_ENUMERATION_SUPPORTED` The feature id for the 'Type Enumeration Supported' attribute.
`static int` `SEQUENCE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Sequence Definition' class.
`static int` `SQL_SYNTAX_DEFINITION` The meta object id for the '`SQL Syntax Definition`' class.
`static int` `SQL_SYNTAX_DEFINITION__KEYWORDS` The feature id for the 'Keywords' attribute list.
`static int` `SQL_SYNTAX_DEFINITION__OPERATORS` The feature id for the 'Operators' attribute list.
`static int` `SQL_SYNTAX_DEFINITION__TERMINATION_CHARACTER` The feature id for the 'Termination Character' attribute.
`static int` `SQL_SYNTAX_DEFINITION_FEATURE_COUNT` The number of structural features of the 'SQL Syntax Definition' class.
`static int` `STORED_PROCEDURE_DEFINITION` The meta object id for the '`Stored Procedure Definition`' class.
`static int` `STORED_PROCEDURE_DEFINITION__DETERMININSTIC_SUPPORTED` The feature id for the 'Determininstic Supported' attribute.
`static int` `STORED_PROCEDURE_DEFINITION__FUNCTION_LANGUAGE_TYPE` The feature id for the 'Function Language Type' attribute list.
`static int` `STORED_PROCEDURE_DEFINITION__LANGUAGE_TYPE` The feature id for the 'Language Type' attribute list.
`static int` `STORED_PROCEDURE_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH` The feature id for the 'Maximum Action Body Length' attribute.
`static int` `STORED_PROCEDURE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The feature id for the 'Maximum Identifier Length' attribute.
`static int` `STORED_PROCEDURE_DEFINITION__NULL_INPUT_ACTION_SUPPORTED` The feature id for the 'Null Input Action Supported' attribute.
`static int` `STORED_PROCEDURE_DEFINITION__PACKAGE_GENERATION_SUPPORTED` The feature id for the 'Package Generation Supported' attribute.
`static int` `STORED_PROCEDURE_DEFINITION__PARAMETER_DECLARATION_CONSTRAINT_SUPPORTED` The feature id for the 'Parameter Declaration Constraint Supported' attribute.
`static int` `STORED_PROCEDURE_DEFINITION__PARAMETER_INIT_VALUE_SUPPORTED` The feature id for the 'Parameter Init Value Supported' attribute.
`static int` `STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE` The feature id for the 'Parameter Style' attribute list.
`static int` `STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE_SUPPORTED` The feature id for the 'Parameter Style Supported' attribute.
`static int` `STORED_PROCEDURE_DEFINITION__PROCEDURE_TYPE` The feature id for the 'Procedure Type' attribute list.
`static int` `STORED_PROCEDURE_DEFINITION__RETURN_TYPE_SUPPORTED` The feature id for the 'Return Type Supported' attribute.
`static int` `STORED_PROCEDURE_DEFINITION__RETURNED_NULL_SUPPORTED` The feature id for the 'Returned Null Supported' attribute.
`static int` `STORED_PROCEDURE_DEFINITION__RETURNED_TYPE_DECLARATION_CONSTRAINT_SUPPORTED` The feature id for the 'Returned Type Declaration Constraint Supported' attribute.
`static int` `STORED_PROCEDURE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Stored Procedure Definition' class.
`static int` `TABLE_DEFINITION` The meta object id for the '`Table Definition`' class.
`static int` `TABLE_DEFINITION__AUDIT_SUPPORTED` The feature id for the 'Audit Supported' attribute.
`static int` `TABLE_DEFINITION__DATA_CAPTURE_SUPPORTED` The feature id for the 'Data Capture Supported' attribute.
`static int` `TABLE_DEFINITION__EDIT_PROC_SUPPORTED` The feature id for the 'Edit Proc Supported' attribute.
`static int` `TABLE_DEFINITION__ENCODING_SUPPORTED` The feature id for the 'Encoding Supported' attribute.
`static int` `TABLE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The feature id for the 'Maximum Identifier Length' attribute.
`static int` `TABLE_DEFINITION__VALID_PROC_SUPPORTED` The feature id for the 'Valid Proc Supported' attribute.
`static int` `TABLE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Table Definition' class.
`static int` `TABLE_SPACE_DEFINITION` The meta object id for the '`Table Space Definition`' class.
`static int` `TABLE_SPACE_DEFINITION__BUFFER_POOL_SUPPORTED` The feature id for the 'Buffer Pool Supported' attribute.
`static int` `TABLE_SPACE_DEFINITION__CONTAINER_EXTENT_SIZE_SUPPORTED` The feature id for the 'Container Extent Size Supported' attribute.
`static int` `TABLE_SPACE_DEFINITION__CONTAINER_INITIAL_SIZE_SUPPORTED` The feature id for the 'Container Initial Size Supported' attribute.
`static int` `TABLE_SPACE_DEFINITION__CONTAINER_MAXIMUM_SIZE_SUPPORTED` The feature id for the 'Container Maximum Size Supported' attribute.
`static int` `TABLE_SPACE_DEFINITION__DEFAULT_SUPPORTED` The feature id for the 'Default Supported' attribute.
`static int` `TABLE_SPACE_DEFINITION__EXTENT_SIZE_SUPPORTED` The feature id for the 'Extent Size Supported' attribute.
`static int` `TABLE_SPACE_DEFINITION__MANAGED_BY_SUPPORTED` The feature id for the 'Managed By Supported' attribute.
`static int` `TABLE_SPACE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The feature id for the 'Maximum Identifier Length' attribute.
`static int` `TABLE_SPACE_DEFINITION__PAGE_SIZE_SUPPORTED` The feature id for the 'Page Size Supported' attribute.
`static int` `TABLE_SPACE_DEFINITION__PREFETCH_SIZE_SUPPORTED` The feature id for the 'Prefetch Size Supported' attribute.
`static int` `TABLE_SPACE_DEFINITION__TABLE_SPACE_TYPE` The feature id for the 'Table Space Type' attribute list.
`static int` `TABLE_SPACE_DEFINITION__TYPE_SUPPORTED` The feature id for the 'Type Supported' attribute.
`static int` `TABLE_SPACE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Table Space Definition' class.
`static int` `TABLE_SPACE_TYPE` The meta object id for the '`Table Space Type`' enum.
`static int` `TRIGGER_DEFINITION` The meta object id for the '`Trigger Definition`' class.
`static int` `TRIGGER_DEFINITION__GRANULARITY_SUPPORTED` The feature id for the 'Granularity Supported' attribute.
`static int` `TRIGGER_DEFINITION__INSTEAD_OF_TRIGGER_SUPPORTED` The feature id for the 'Instead Of Trigger Supported' attribute.
`static int` `TRIGGER_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH` The feature id for the 'Maximum Action Body Length' attribute.
`static int` `TRIGGER_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The feature id for the 'Maximum Identifier Length' attribute.
`static int` `TRIGGER_DEFINITION__MAXIMUM_REFERENCE_PART_LENGTH` The feature id for the 'Maximum Reference Part Length' attribute.
`static int` `TRIGGER_DEFINITION__PER_COLUMN_UPDATE_TRIGGER_SUPPORTED` The feature id for the 'Per Column Update Trigger Supported' attribute.
`static int` `TRIGGER_DEFINITION__REFERENCES_CLAUSE_SUPPORTED` The feature id for the 'References Clause Supported' attribute.
`static int` `TRIGGER_DEFINITION__ROW_TRIGGER_REFERENCE_SUPPORTED` The feature id for the 'Row Trigger Reference Supported' attribute.
`static int` `TRIGGER_DEFINITION__TABLE_TRIGGER_REFERENCE_SUPPORTED` The feature id for the 'Table Trigger Reference Supported' attribute.
`static int` `TRIGGER_DEFINITION__TYPE_SUPPORTED` The feature id for the 'Type Supported' attribute.
`static int` `TRIGGER_DEFINITION__WHEN_CLAUSE_SUPPORTED` The feature id for the 'When Clause Supported' attribute.
`static int` `TRIGGER_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Trigger Definition' class.
`static int` `USER_DEFINED_TYPE_DEFINITION` The meta object id for the '`User Defined Type Definition`' class.
`static int` `USER_DEFINED_TYPE_DEFINITION__DEFAULT_VALUE_SUPPORTED` The feature id for the 'Default Value Supported' attribute.
`static int` `USER_DEFINED_TYPE_DEFINITION__DISTINCT_TYPE_SUPPORTED` The feature id for the 'Distinct Type Supported' attribute.
`static int` `USER_DEFINED_TYPE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The feature id for the 'Maximum Identifier Length' attribute.
`static int` `USER_DEFINED_TYPE_DEFINITION__STRUCTURED_TYPE_SUPPORTED` The feature id for the 'Structured Type Supported' attribute.
`static int` `USER_DEFINED_TYPE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'User Defined Type Definition' class.
`static int` `VIEW_DEFINITION` The meta object id for the '`View Definition`' class.
`static int` `VIEW_DEFINITION__INDEX_SUPPORTED` The feature id for the 'Index Supported' attribute.
`static int` `VIEW_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The feature id for the 'Maximum Identifier Length' attribute.
`static int` `VIEW_DEFINITION_FEATURE_COUNT` The number of structural features of the 'View Definition' class.

Method Summary
`EEnum` `getCheckOption()` Returns the meta object for enum '`Check Option`'.
`EAttribute` `getColumnDefinition_ComputedSupported()` Returns the meta object for the attribute '`Computed Supported`'.
`EReference` `getColumnDefinition_IdentityColumnDataTypeDefinitions()` Returns the meta object for the reference list '`Identity Column Data Type Definitions`'.
`EAttribute` `getColumnDefinition_IdentityCycleSupported()` Returns the meta object for the attribute '`Identity Cycle Supported`'.
`EAttribute` `getColumnDefinition_IdentityIncrementSupported()` Returns the meta object for the attribute '`Identity Increment Supported`'.
`EAttribute` `getColumnDefinition_IdentityMaximumSupported()` Returns the meta object for the attribute '`Identity Maximum Supported`'.
`EAttribute` `getColumnDefinition_IdentityMinimumSupported()` Returns the meta object for the attribute '`Identity Minimum Supported`'.
`EAttribute` `getColumnDefinition_IdentityStartValueSupported()` Returns the meta object for the attribute '`Identity Start Value Supported`'.
`EAttribute` `getColumnDefinition_IdentitySupported()` Returns the meta object for the attribute '`Identity Supported`'.
`EAttribute` `getColumnDefinition_MaximumIdentifierLength()` Returns the meta object for the attribute '`Maximum Identifier Length`'.
`EClass` `getColumnDefinition()` Returns the meta object for class '`Column Definition`'.
`EAttribute` `getConstraintDefinition_CheckOption()` Returns the meta object for the attribute list '`Check Option`'.
`EAttribute` `getConstraintDefinition_ClusteredPrimaryKeySupported()` Returns the meta object for the attribute '`Clustered Primary Key Supported`'.
`EAttribute` `getConstraintDefinition_ClusteredUniqueConstraintSupported()` Returns the meta object for the attribute '`Clustered Unique Constraint Supported`'.
`EAttribute` `getConstraintDefinition_DeferrableConstraintSupported()` Returns the meta object for the attribute '`Deferrable Constraint Supported`'.
`EAttribute` `getConstraintDefinition_InformationalConstraintSupported()` Returns the meta object for the attribute '`Informational Constraint Supported`'.
`EAttribute` `getConstraintDefinition_MaximumCheckConstraintIdentifierLength()` Returns the meta object for the attribute '`Maximum Check Constraint Identifier Length`'.
`EAttribute` `getConstraintDefinition_MaximumCheckExpressionLength()` Returns the meta object for the attribute '`Maximum Check Expression Length`'.
`EAttribute` `getConstraintDefinition_MaximumForeignKeyIdentifierLength()` Returns the meta object for the attribute '`Maximum Foreign Key Identifier Length`'.
`EAttribute` `getConstraintDefinition_MaximumPrimaryKeyIdentifierLength()` Returns the meta object for the attribute '`Maximum Primary Key Identifier Length`'.
`EAttribute` `getConstraintDefinition_ParentDeleteDRIRuleType()` Returns the meta object for the attribute list '`Parent Delete DRI Rule Type`'.
`EAttribute` `getConstraintDefinition_ParentUpdateDRIRuleType()` Returns the meta object for the attribute list '`Parent Update DRI Rule Type`'.
`EAttribute` `getConstraintDefinition_PrimaryKeyNullable()` Returns the meta object for the attribute '`Primary Key Nullable`'.
`EAttribute` `getConstraintDefinition_UniqueKeyNullable()` Returns the meta object for the attribute '`Unique Key Nullable`'.
`EClass` `getConstraintDefinition()` Returns the meta object for class '`Constraint Definition`'.
`DatabaseDefinitionFactory` `getDatabaseDefinitionFactory()` Returns the factory that creates the instances of the model.
`EAttribute` `getDatabaseVendorDefinition_AliasSupported()` Returns the meta object for the attribute '`Alias Supported`'.
`EAttribute` `getDatabaseVendorDefinition_AuthorizationIdentifierSupported()` Returns the meta object for the attribute '`Authorization Identifier Supported`'.
`EReference` `getDatabaseVendorDefinition_ColumnDefinition()` Returns the meta object for the containment reference '`Column Definition`'.
`EReference` `getDatabaseVendorDefinition_ConstraintDefinition()` Returns the meta object for the containment reference '`Constraint Definition`'.
`EAttribute` `getDatabaseVendorDefinition_ConstraintsSupported()` Returns the meta object for the attribute '`Constraints Supported`'.
`EReference` `getDatabaseVendorDefinition_DebuggerDefinition()` Returns the meta object for the containment reference '`Debugger Definition`'.
`EAttribute` `getDatabaseVendorDefinition_DomainSupported()` Returns the meta object for the attribute '`Domain Supported`'.
`EAttribute` `getDatabaseVendorDefinition_EventSupported()` Returns the meta object for the attribute '`Event Supported`'.
`EReference` `getDatabaseVendorDefinition_ExtendedDefinitions()` Returns the meta object for the containment reference list '`Extended Definitions`'.
`EAttribute` `getDatabaseVendorDefinition_GroupSupported()` Returns the meta object for the attribute '`Group Supported`'.
`EReference` `getDatabaseVendorDefinition_IndexDefinition()` Returns the meta object for the containment reference '`Index Definition`'.
`EAttribute` `getDatabaseVendorDefinition_JoinSupported()` Returns the meta object for the attribute '`Join Supported`'.
`EAttribute` `getDatabaseVendorDefinition_MaximumCommentLength()` Returns the meta object for the attribute '`Maximum Comment Length`'.
`EAttribute` `getDatabaseVendorDefinition_MaximumIdentifierLength()` Returns the meta object for the attribute '`Maximum Identifier Length`'.
`EAttribute` `getDatabaseVendorDefinition_MQTIndexSupported()` Returns the meta object for the attribute '`MQT Index Supported`'.
`EAttribute` `getDatabaseVendorDefinition_MQTSupported()` Returns the meta object for the attribute '`MQT Supported`'.
`EReference` `getDatabaseVendorDefinition_NicknameDefinition()` Returns the meta object for the containment reference '`Nickname Definition`'.
`EAttribute` `getDatabaseVendorDefinition_NicknameSupported()` Returns the meta object for the attribute '`Nickname Supported`'.
`EAttribute` `getDatabaseVendorDefinition_PackageSupported()` Returns the meta object for the attribute '`Package Supported`'.
`EReference` `getDatabaseVendorDefinition_PredefinedDataTypeDefinitions()` Returns the meta object for the containment reference list '`Predefined Data Type Definitions`'.
`EReference` `getDatabaseVendorDefinition_PrivilegedElementDefinitions()` Returns the meta object for the containment reference list '`Privileged Element Definitions`'.
`EReference` `getDatabaseVendorDefinition_QueryDefinition()` Returns the meta object for the containment reference '`Query Definition`'.
`EAttribute` `getDatabaseVendorDefinition_QuotedDDLSupported()` Returns the meta object for the attribute '`Quoted DDL Supported`'.
`EAttribute` `getDatabaseVendorDefinition_QuotedDMLSupported()` Returns the meta object for the attribute '`Quoted DML Supported`'.
`EAttribute` `getDatabaseVendorDefinition_RoleAuthorizationSupported()` Returns the meta object for the attribute '`Role Authorization Supported`'.
`EAttribute` `getDatabaseVendorDefinition_RoleSupported()` Returns the meta object for the attribute '`Role Supported`'.
`EReference` `getDatabaseVendorDefinition_SchemaDefinition()` Returns the meta object for the containment reference '`Schema Definition`'.
`EAttribute` `getDatabaseVendorDefinition_SchemaSupported()` Returns the meta object for the attribute '`Schema Supported`'.
`EReference` `getDatabaseVendorDefinition_SequenceDefinition()` Returns the meta object for the containment reference '`Sequence Definition`'.
`EAttribute` `getDatabaseVendorDefinition_SequenceSupported()` Returns the meta object for the attribute '`Sequence Supported`'.
`EAttribute` `getDatabaseVendorDefinition_SnapshotViewSupported()` Returns the meta object for the attribute '`Snapshot View Supported`'.
`EAttribute` `getDatabaseVendorDefinition_SQLStatementSupported()` Returns the meta object for the attribute '`SQL Statement Supported`'.
`EReference` `getDatabaseVendorDefinition_SQLSyntaxDefinition()` Returns the meta object for the containment reference '`SQL Syntax Definition`'.
`EAttribute` `getDatabaseVendorDefinition_SqlUDFSupported()` Returns the meta object for the attribute '`Sql UDF Supported`'.
`EReference` `getDatabaseVendorDefinition_StoredProcedureDefinition()` Returns the meta object for the containment reference '`Stored Procedure Definition`'.
`EAttribute` `getDatabaseVendorDefinition_StoredProcedureSupported()` Returns the meta object for the attribute '`Stored Procedure Supported`'.
`EAttribute` `getDatabaseVendorDefinition_SynonymSupported()` Returns the meta object for the attribute '`Synonym Supported`'.
`EReference` `getDatabaseVendorDefinition_TableDefinition()` Returns the meta object for the containment reference '`Table Definition`'.
`EReference` `getDatabaseVendorDefinition_TableSpaceDefinition()` Returns the meta object for the containment reference '`Table Space Definition`'.
`EAttribute` `getDatabaseVendorDefinition_TablespacesSupported()` Returns the meta object for the attribute '`Tablespaces Supported`'.
`EReference` `getDatabaseVendorDefinition_TriggerDefinition()` Returns the meta object for the containment reference '`Trigger Definition`'.
`EAttribute` `getDatabaseVendorDefinition_TriggerSupported()` Returns the meta object for the attribute '`Trigger Supported`'.
`EReference` `getDatabaseVendorDefinition_UdtDefinition()` Returns the meta object for the containment reference '`Udt Definition`'.
`EAttribute` `getDatabaseVendorDefinition_UserDefinedTypeSupported()` Returns the meta object for the attribute '`User Defined Type Supported`'.
`EAttribute` `getDatabaseVendorDefinition_UserSupported()` Returns the meta object for the attribute '`User Supported`'.
`EAttribute` `getDatabaseVendorDefinition_Vendor()` Returns the meta object for the attribute '`Vendor`'.
`EAttribute` `getDatabaseVendorDefinition_Version()` Returns the meta object for the attribute '`Version`'.
`EReference` `getDatabaseVendorDefinition_ViewDefinition()` Returns the meta object for the containment reference '`View Definition`'.
`EAttribute` `getDatabaseVendorDefinition_ViewTriggerSupported()` Returns the meta object for the attribute '`View Trigger Supported`'.
`EAttribute` `getDatabaseVendorDefinition_XmlSupported()` Returns the meta object for the attribute '`Xml Supported`'.
`EClass` `getDatabaseVendorDefinition()` Returns the meta object for class '`Database Vendor Definition`'.
`EAttribute` `getDebuggerDefinition_ConditionSupported()` Returns the meta object for the attribute '`Condition Supported`'.
`EClass` `getDebuggerDefinition()` Returns the meta object for class '`Debugger Definition`'.
`EAttribute` `getExtendedDefinition_Name()` Returns the meta object for the attribute '`Name`'.
`EAttribute` `getExtendedDefinition_Value()` Returns the meta object for the attribute '`Value`'.
`EClass` `getExtendedDefinition()` Returns the meta object for class '`Extended Definition`'.
`EAttribute` `getFieldQualifierDefinition_DefaultPrecision()` Returns the meta object for the attribute '`Default Precision`'.
`EAttribute` `getFieldQualifierDefinition_DefaultScale()` Returns the meta object for the attribute '`Default Scale`'.
`EAttribute` `getFieldQualifierDefinition_MaximumPrecision()` Returns the meta object for the attribute '`Maximum Precision`'.
`EAttribute` `getFieldQualifierDefinition_MaximumScale()` Returns the meta object for the attribute '`Maximum Scale`'.
`EAttribute` `getFieldQualifierDefinition_Name()` Returns the meta object for the attribute '`Name`'.
`EAttribute` `getFieldQualifierDefinition_PrecisionSupported()` Returns the meta object for the attribute '`Precision Supported`'.
`EAttribute` `getFieldQualifierDefinition_ScaleSupported()` Returns the meta object for the attribute '`Scale Supported`'.
`EReference` `getFieldQualifierDefinition_ValidTrailingFieldQualifierDefinitions()` Returns the meta object for the reference list '`Valid Trailing Field Qualifier Definitions`'.
`EClass` `getFieldQualifierDefinition()` Returns the meta object for class '`Field Qualifier Definition`'.
`EAttribute` `getIndexDefinition_ClusterChangeable()` Returns the meta object for the attribute '`Cluster Changeable`'.
`EAttribute` `getIndexDefinition_ClusteringSupported()` Returns the meta object for the attribute '`Clustering Supported`'.
`EAttribute` `getIndexDefinition_FillFactorSupported()` Returns the meta object for the attribute '`Fill Factor Supported`'.
`EAttribute` `getIndexDefinition_IncludedColumnsSupported()` Returns the meta object for the attribute '`Included Columns Supported`'.
`EAttribute` `getIndexDefinition_MaximumIdentifierLength()` Returns the meta object for the attribute '`Maximum Identifier Length`'.
`EAttribute` `getIndexDefinition_PercentFreeChangeable()` Returns the meta object for the attribute '`Percent Free Changeable`'.
`EAttribute` `getIndexDefinition_PercentFreeTerminology()` Returns the meta object for the attribute '`Percent Free Terminology`'.
`EClass` `getIndexDefinition()` Returns the meta object for class '`Index Definition`'.
`EEnum` `getLanguageType()` Returns the meta object for enum '`Language Type`'.
`EEnum` `getLengthUnit()` Returns the meta object for enum '`Length Unit`'.
`EAttribute` `getNicknameDefinition_ConstraintSupported()` Returns the meta object for the attribute '`Constraint Supported`'.
`EAttribute` `getNicknameDefinition_IndexSupported()` Returns the meta object for the attribute '`Index Supported`'.
`EAttribute` `getNicknameDefinition_MaximumIdentifierLength()` Returns the meta object for the attribute '`Maximum Identifier Length`'.
`EClass` `getNicknameDefinition()` Returns the meta object for class '`Nickname Definition`'.
`EEnum` `getParameterStyle()` Returns the meta object for enum '`Parameter Style`'.
`EEnum` `getParentDeleteDRIRuleType()` Returns the meta object for enum '`Parent Delete DRI Rule Type`'.
`EEnum` `getParentUpdateDRIRuleType()` Returns the meta object for enum '`Parent Update DRI Rule Type`'.
`EEnum` `getPercentFreeTerminology()` Returns the meta object for enum '`Percent Free Terminology`'.
`EAttribute` `getPredefinedDataTypeDefinition_BitDataSupported()` Returns the meta object for the attribute '`Bit Data Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_CharacterSet()` Returns the meta object for the attribute list '`Character Set`'.
`EAttribute` `getPredefinedDataTypeDefinition_CharacterSetSuffix()` Returns the meta object for the attribute '`Character Set Suffix`'.
`EAttribute` `getPredefinedDataTypeDefinition_ClusteringSupported()` Returns the meta object for the attribute '`Clustering Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_CutoffPrecision()` Returns the meta object for the attribute '`Cutoff Precision`'.
`EReference` `getPredefinedDataTypeDefinition_DefaultLeadingFieldQualifierDefinition()` Returns the meta object for the reference '`Default Leading Field Qualifier Definition`'.
`EAttribute` `getPredefinedDataTypeDefinition_DefaultLength()` Returns the meta object for the attribute '`Default Length`'.
`EAttribute` `getPredefinedDataTypeDefinition_DefaultPrecision()` Returns the meta object for the attribute '`Default Precision`'.
`EAttribute` `getPredefinedDataTypeDefinition_DefaultScale()` Returns the meta object for the attribute '`Default Scale`'.
`EAttribute` `getPredefinedDataTypeDefinition_DefaultSupported()` Returns the meta object for the attribute '`Default Supported`'.
`EReference` `getPredefinedDataTypeDefinition_DefaultTrailingFieldQualifierDefinition()` Returns the meta object for the reference '`Default Trailing Field Qualifier Definition`'.
`EAttribute` `getPredefinedDataTypeDefinition_DefaultValueTypes()` Returns the meta object for the attribute list '`Default Value Types`'.
`EAttribute` `getPredefinedDataTypeDefinition_DisplayName()` Returns the meta object for the attribute '`Display Name`'.
`EAttribute` `getPredefinedDataTypeDefinition_DisplayNameSupported()` Returns the meta object for the attribute '`Display Name Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_EncodingScheme()` Returns the meta object for the attribute list '`Encoding Scheme`'.
`EAttribute` `getPredefinedDataTypeDefinition_EncodingSchemeSuffix()` Returns the meta object for the attribute '`Encoding Scheme Suffix`'.
`EAttribute` `getPredefinedDataTypeDefinition_FieldQualifierSeparator()` Returns the meta object for the attribute '`Field Qualifier Separator`'.
`EAttribute` `getPredefinedDataTypeDefinition_FillFactorSupported()` Returns the meta object for the attribute '`Fill Factor Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_GroupingSupported()` Returns the meta object for the attribute '`Grouping Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_IdentitySupported()` Returns the meta object for the attribute '`Identity Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_JavaClassName()` Returns the meta object for the attribute '`Java Class Name`'.
`EAttribute` `getPredefinedDataTypeDefinition_JdbcEnumType()` Returns the meta object for the attribute '`Jdbc Enum Type`'.
`EAttribute` `getPredefinedDataTypeDefinition_KeyConstraintSupported()` Returns the meta object for the attribute '`Key Constraint Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_LargeValueSpecifierLength()` Returns the meta object for the attribute '`Large Value Specifier Length`'.
`EAttribute` `getPredefinedDataTypeDefinition_LargeValueSpecifierName()` Returns the meta object for the attribute '`Large Value Specifier Name`'.
`EAttribute` `getPredefinedDataTypeDefinition_LargeValueSpecifierSupported()` Returns the meta object for the attribute '`Large Value Specifier Supported`'.
`EReference` `getPredefinedDataTypeDefinition_LeadingFieldQualifierDefinition()` Returns the meta object for the containment reference list '`Leading Field Qualifier Definition`'.
`EAttribute` `getPredefinedDataTypeDefinition_LeadingFieldQualifierSupported()` Returns the meta object for the attribute '`Leading Field Qualifier Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_LengthSupported()` Returns the meta object for the attribute '`Length Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_LengthUnit()` Returns the meta object for the attribute '`Length Unit`'.
`EAttribute` `getPredefinedDataTypeDefinition_MaximumLength()` Returns the meta object for the attribute '`Maximum Length`'.
`EAttribute` `getPredefinedDataTypeDefinition_MaximumPrecision()` Returns the meta object for the attribute '`Maximum Precision`'.
`EAttribute` `getPredefinedDataTypeDefinition_MaximumScale()` Returns the meta object for the attribute '`Maximum Scale`'.
`EAttribute` `getPredefinedDataTypeDefinition_MaximumValue()` Returns the meta object for the attribute '`Maximum Value`'.
`EAttribute` `getPredefinedDataTypeDefinition_MinimumScale()` Returns the meta object for the attribute '`Minimum Scale`'.
`EAttribute` `getPredefinedDataTypeDefinition_MinimumValue()` Returns the meta object for the attribute '`Minimum Value`'.
`EAttribute` `getPredefinedDataTypeDefinition_MultipleColumnsSupported()` Returns the meta object for the attribute '`Multiple Columns Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_Name()` Returns the meta object for the attribute list '`Name`'.
`EAttribute` `getPredefinedDataTypeDefinition_NullableSupported()` Returns the meta object for the attribute '`Nullable Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_OrderingSupported()` Returns the meta object for the attribute '`Ordering Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_PrecisionSupported()` Returns the meta object for the attribute '`Precision Supported`'.
`EAttribute` `getPredefinedDataTypeDefinition_PrimitiveType()` Returns the meta object for the attribute '`Primitive Type`'.
`EAttribute` `getPredefinedDataTypeDefinition_ScaleSupported()` Returns the meta object for the attribute '`Scale Supported`'.
`EReference` `getPredefinedDataTypeDefinition_TrailingFieldQualifierDefinition()` Returns the meta object for the containment reference list '`Trailing Field Qualifier Definition`'.
`EAttribute` `getPredefinedDataTypeDefinition_TrailingFieldQualifierSupported()` Returns the meta object for the attribute '`Trailing Field Qualifier Supported`'.
`EClass` `getPredefinedDataTypeDefinition()` Returns the meta object for class '`Predefined Data Type Definition`'.
`EReference` `getPrivilegeDefinition_ActionElementDefinitions()` Returns the meta object for the reference list '`Action Element Definitions`'.
`EAttribute` `getPrivilegeDefinition_Name()` Returns the meta object for the attribute '`Name`'.
`EClass` `getPrivilegeDefinition()` Returns the meta object for class '`Privilege Definition`'.
`EAttribute` `getPrivilegedElementDefinition_Name()` Returns the meta object for the attribute '`Name`'.
`EReference` `getPrivilegedElementDefinition_PrivilegeDefinitions()` Returns the meta object for the containment reference list '`Privilege Definitions`'.
`EClass` `getPrivilegedElementDefinition()` Returns the meta object for class '`Privileged Element Definition`'.
`EEnum` `getProcedureType()` Returns the meta object for enum '`Procedure Type`'.
`EAttribute` `getQueryDefinition_CastExpressionSupported()` Returns the meta object for the attribute '`Cast Expression Supported`'.
`EAttribute` `getQueryDefinition_DefaultKeywordForInsertValueSupported()` Returns the meta object for the attribute '`Default Keyword For Insert Value Supported`'.
`EAttribute` `getQueryDefinition_ExtendedGroupingSupported()` Returns the meta object for the attribute '`Extended Grouping Supported`'.
`EAttribute` `getQueryDefinition_HostVariableMarker()` Returns the meta object for the attribute '`Host Variable Marker`'.
`EAttribute` `getQueryDefinition_HostVariableMarkerSupported()` Returns the meta object for the attribute '`Host Variable Marker Supported`'.
`EAttribute` `getQueryDefinition_IdentifierQuoteString()` Returns the meta object for the attribute '`Identifier Quote String`'.
`EAttribute` `getQueryDefinition_TableAliasInDeleteSupported()` Returns the meta object for the attribute '`Table Alias In Delete Supported`'.
`EClass` `getQueryDefinition()` Returns the meta object for class '`Query Definition`'.
`EAttribute` `getSchemaDefinition_MaximumIdentifierLength()` Returns the meta object for the attribute '`Maximum Identifier Length`'.
`EClass` `getSchemaDefinition()` Returns the meta object for class '`Schema Definition`'.
`EAttribute` `getSequenceDefinition_CacheDefaultValue()` Returns the meta object for the attribute '`Cache Default Value`'.
`EAttribute` `getSequenceDefinition_CacheSupported()` Returns the meta object for the attribute '`Cache Supported`'.
`EReference` `getSequenceDefinition_DefaultDataTypeDefinition()` Returns the meta object for the reference '`Default Data Type Definition`'.
`EAttribute` `getSequenceDefinition_NoCacheString()` Returns the meta object for the attribute '`No Cache String`'.
`EAttribute` `getSequenceDefinition_NoMaximumValueString()` Returns the meta object for the attribute '`No Maximum Value String`'.
`EAttribute` `getSequenceDefinition_NoMinimumValueString()` Returns the meta object for the attribute '`No Minimum Value String`'.
`EAttribute` `getSequenceDefinition_OrderSupported()` Returns the meta object for the attribute '`Order Supported`'.
`EReference` `getSequenceDefinition_PredefinedDataTypeDefinitions()` Returns the meta object for the reference list '`Predefined Data Type Definitions`'.
`EAttribute` `getSequenceDefinition_TypeEnumerationSupported()` Returns the meta object for the attribute '`Type Enumeration Supported`'.
`EClass` `getSequenceDefinition()` Returns the meta object for class '`Sequence Definition`'.
`EAttribute` `getSQLSyntaxDefinition_Keywords()` Returns the meta object for the attribute list '`Keywords`'.
`EAttribute` `getSQLSyntaxDefinition_Operators()` Returns the meta object for the attribute list '`Operators`'.
`EAttribute` `getSQLSyntaxDefinition_TerminationCharacter()` Returns the meta object for the attribute '`Termination Character`'.
`EClass` `getSQLSyntaxDefinition()` Returns the meta object for class '`SQL Syntax Definition`'.
`EAttribute` `getStoredProcedureDefinition_DetermininsticSupported()` Returns the meta object for the attribute '`Determininstic Supported`'.
`EAttribute` `getStoredProcedureDefinition_FunctionLanguageType()` Returns the meta object for the attribute list '`Function Language Type`'.
`EAttribute` `getStoredProcedureDefinition_LanguageType()` Returns the meta object for the attribute list '`Language Type`'.
`EAttribute` `getStoredProcedureDefinition_MaximumActionBodyLength()` Returns the meta object for the attribute '`Maximum Action Body Length`'.
`EAttribute` `getStoredProcedureDefinition_MaximumIdentifierLength()` Returns the meta object for the attribute '`Maximum Identifier Length`'.
`EAttribute` `getStoredProcedureDefinition_NullInputActionSupported()` Returns the meta object for the attribute '`Null Input Action Supported`'.
`EAttribute` `getStoredProcedureDefinition_PackageGenerationSupported()` Returns the meta object for the attribute '`Package Generation Supported`'.
`EAttribute` `getStoredProcedureDefinition_ParameterDeclarationConstraintSupported()` Returns the meta object for the attribute '`Parameter Declaration Constraint Supported`'.
`EAttribute` `getStoredProcedureDefinition_ParameterInitValueSupported()` Returns the meta object for the attribute '`Parameter Init Value Supported`'.
`EAttribute` `getStoredProcedureDefinition_ParameterStyle()` Returns the meta object for the attribute list '`Parameter Style`'.
`EAttribute` `getStoredProcedureDefinition_ParameterStyleSupported()` Returns the meta object for the attribute '`Parameter Style Supported`'.
`EAttribute` `getStoredProcedureDefinition_ProcedureType()` Returns the meta object for the attribute list '`Procedure Type`'.
`EAttribute` `getStoredProcedureDefinition_ReturnedNullSupported()` Returns the meta object for the attribute '`Returned Null Supported`'.
`EAttribute` `getStoredProcedureDefinition_ReturnedTypeDeclarationConstraintSupported()` Returns the meta object for the attribute '`Returned Type Declaration Constraint Supported`'.
`EAttribute` `getStoredProcedureDefinition_ReturnTypeSupported()` Returns the meta object for the attribute '`Return Type Supported`'.
`EClass` `getStoredProcedureDefinition()` Returns the meta object for class '`Stored Procedure Definition`'.
`EAttribute` `getTableDefinition_AuditSupported()` Returns the meta object for the attribute '`Audit Supported`'.
`EAttribute` `getTableDefinition_DataCaptureSupported()` Returns the meta object for the attribute '`Data Capture Supported`'.
`EAttribute` `getTableDefinition_EditProcSupported()` Returns the meta object for the attribute '`Edit Proc Supported`'.
`EAttribute` `getTableDefinition_EncodingSupported()` Returns the meta object for the attribute '`Encoding Supported`'.
`EAttribute` `getTableDefinition_MaximumIdentifierLength()` Returns the meta object for the attribute '`Maximum Identifier Length`'.
`EAttribute` `getTableDefinition_ValidProcSupported()` Returns the meta object for the attribute '`Valid Proc Supported`'.
`EClass` `getTableDefinition()` Returns the meta object for class '`Table Definition`'.
`EAttribute` `getTableSpaceDefinition_BufferPoolSupported()` Returns the meta object for the attribute '`Buffer Pool Supported`'.
`EAttribute` `getTableSpaceDefinition_ContainerExtentSizeSupported()` Returns the meta object for the attribute '`Container Extent Size Supported`'.
`EAttribute` `getTableSpaceDefinition_ContainerInitialSizeSupported()` Returns the meta object for the attribute '`Container Initial Size Supported`'.
`EAttribute` `getTableSpaceDefinition_ContainerMaximumSizeSupported()` Returns the meta object for the attribute '`Container Maximum Size Supported`'.
`EAttribute` `getTableSpaceDefinition_DefaultSupported()` Returns the meta object for the attribute '`Default Supported`'.
`EAttribute` `getTableSpaceDefinition_ExtentSizeSupported()` Returns the meta object for the attribute '`Extent Size Supported`'.
`EAttribute` `getTableSpaceDefinition_ManagedBySupported()` Returns the meta object for the attribute '`Managed By Supported`'.
`EAttribute` `getTableSpaceDefinition_MaximumIdentifierLength()` Returns the meta object for the attribute '`Maximum Identifier Length`'.
`EAttribute` `getTableSpaceDefinition_PageSizeSupported()` Returns the meta object for the attribute '`Page Size Supported`'.
`EAttribute` `getTableSpaceDefinition_PrefetchSizeSupported()` Returns the meta object for the attribute '`Prefetch Size Supported`'.
`EAttribute` `getTableSpaceDefinition_TableSpaceType()` Returns the meta object for the attribute list '`Table Space Type`'.
`EAttribute` `getTableSpaceDefinition_TypeSupported()` Returns the meta object for the attribute '`Type Supported`'.
`EClass` `getTableSpaceDefinition()` Returns the meta object for class '`Table Space Definition`'.
`EEnum` `getTableSpaceType()` Returns the meta object for enum '`Table Space Type`'.
`EAttribute` `getTriggerDefinition_GranularitySupported()` Returns the meta object for the attribute '`Granularity Supported`'.
`EAttribute` `getTriggerDefinition_InsteadOfTriggerSupported()` Returns the meta object for the attribute '`Instead Of Trigger Supported`'.
`EAttribute` `getTriggerDefinition_MaximumActionBodyLength()` Returns the meta object for the attribute '`Maximum Action Body Length`'.
`EAttribute` `getTriggerDefinition_MaximumIdentifierLength()` Returns the meta object for the attribute '`Maximum Identifier Length`'.
`EAttribute` `getTriggerDefinition_MaximumReferencePartLength()` Returns the meta object for the attribute '`Maximum Reference Part Length`'.
`EAttribute` `getTriggerDefinition_PerColumnUpdateTriggerSupported()` Returns the meta object for the attribute '`Per Column Update Trigger Supported`'.
`EAttribute` `getTriggerDefinition_ReferencesClauseSupported()` Returns the meta object for the attribute '`References Clause Supported`'.
`EAttribute` `getTriggerDefinition_RowTriggerReferenceSupported()` Returns the meta object for the attribute '`Row Trigger Reference Supported`'.
`EAttribute` `getTriggerDefinition_TableTriggerReferenceSupported()` Returns the meta object for the attribute '`Table Trigger Reference Supported`'.
`EAttribute` `getTriggerDefinition_TypeSupported()` Returns the meta object for the attribute '`Type Supported`'.
`EAttribute` `getTriggerDefinition_WhenClauseSupported()` Returns the meta object for the attribute '`When Clause Supported`'.
`EClass` `getTriggerDefinition()` Returns the meta object for class '`Trigger Definition`'.
`EAttribute` `getUserDefinedTypeDefinition_DefaultValueSupported()` Returns the meta object for the attribute '`Default Value Supported`'.
`EAttribute` `getUserDefinedTypeDefinition_DistinctTypeSupported()` Returns the meta object for the attribute '`Distinct Type Supported`'.
`EAttribute` `getUserDefinedTypeDefinition_MaximumIdentifierLength()` Returns the meta object for the attribute '`Maximum Identifier Length`'.
`EAttribute` `getUserDefinedTypeDefinition_StructuredTypeSupported()` Returns the meta object for the attribute '`Structured Type Supported`'.
`EClass` `getUserDefinedTypeDefinition()` Returns the meta object for class '`User Defined Type Definition`'.
`EAttribute` `getViewDefinition_IndexSupported()` Returns the meta object for the attribute '`Index Supported`'.
`EAttribute` `getViewDefinition_MaximumIdentifierLength()` Returns the meta object for the attribute '`Maximum Identifier Length`'.
`EClass` `getViewDefinition()` Returns the meta object for class '`View Definition`'.

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final DatabaseDefinitionPackage eINSTANCE

  The singleton instance of the package.

### DATABASE_VENDOR_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION

  The meta object id for the '`Database Vendor Definition`' class.

  See Also:
    `DatabaseVendorDefinitionImpl`, `DatabaseDefinitionPackageImpl.getDatabaseVendorDefinition()`, Constant Field Values

### DATABASE_VENDOR_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS

    static final int DATABASE_VENDOR_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS

  The feature id for the 'Predefined Data Type Definitions' containment reference list.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__TABLE_SPACE_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__TABLE_SPACE_DEFINITION

  The feature id for the 'Table Space Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_DEFINITION

  The feature id for the 'Stored Procedure Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__TRIGGER_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__TRIGGER_DEFINITION

  The feature id for the 'Trigger Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__COLUMN_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__COLUMN_DEFINITION

  The feature id for the 'Column Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__CONSTRAINT_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__CONSTRAINT_DEFINITION

  The feature id for the 'Constraint Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__EXTENDED_DEFINITIONS

    static final int DATABASE_VENDOR_DEFINITION__EXTENDED_DEFINITIONS

  The feature id for the 'Extended Definitions' containment reference list.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__INDEX_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__INDEX_DEFINITION

  The feature id for the 'Index Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__TABLE_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__TABLE_DEFINITION

  The feature id for the 'Table Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__SEQUENCE_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__SEQUENCE_DEFINITION

  The feature id for the 'Sequence Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__UDT_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__UDT_DEFINITION

  The feature id for the 'Udt Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__QUERY_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__QUERY_DEFINITION

  The feature id for the 'Query Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__SQL_SYNTAX_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__SQL_SYNTAX_DEFINITION

  The feature id for the 'SQL Syntax Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__NICKNAME_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__NICKNAME_DEFINITION

  The feature id for the 'Nickname Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__SCHEMA_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__SCHEMA_DEFINITION

  The feature id for the 'Schema Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__VIEW_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__VIEW_DEFINITION

  The feature id for the 'View Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__DEBUGGER_DEFINITION

    static final int DATABASE_VENDOR_DEFINITION__DEBUGGER_DEFINITION

  The feature id for the 'Debugger Definition' containment reference.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__PRIVILEGED_ELEMENT_DEFINITIONS

    static final int DATABASE_VENDOR_DEFINITION__PRIVILEGED_ELEMENT_DEFINITIONS

  The feature id for the 'Privileged Element Definitions' containment reference list.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__VENDOR

    static final int DATABASE_VENDOR_DEFINITION__VENDOR

  The feature id for the 'Vendor' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__VERSION

    static final int DATABASE_VENDOR_DEFINITION__VERSION

  The feature id for the 'Version' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__CONSTRAINTS_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__CONSTRAINTS_SUPPORTED

  The feature id for the 'Constraints Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    static final int DATABASE_VENDOR_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Identifier Length' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__TRIGGER_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__TRIGGER_SUPPORTED

  The feature id for the 'Trigger Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__SNAPSHOT_VIEW_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__SNAPSHOT_VIEW_SUPPORTED

  The feature id for the 'Snapshot View Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__JOIN_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__JOIN_SUPPORTED

  The feature id for the 'Join Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__VIEW_TRIGGER_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__VIEW_TRIGGER_SUPPORTED

  The feature id for the 'View Trigger Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__TABLESPACES_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__TABLESPACES_SUPPORTED

  The feature id for the 'Tablespaces Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__MAXIMUM_COMMENT_LENGTH

    static final int DATABASE_VENDOR_DEFINITION__MAXIMUM_COMMENT_LENGTH

  The feature id for the 'Maximum Comment Length' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__SEQUENCE_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__SEQUENCE_SUPPORTED

  The feature id for the 'Sequence Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__MQT_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__MQT_SUPPORTED

  The feature id for the 'MQT Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__SCHEMA_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__SCHEMA_SUPPORTED

  The feature id for the 'Schema Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__ALIAS_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__ALIAS_SUPPORTED

  The feature id for the 'Alias Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__SYNONYM_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__SYNONYM_SUPPORTED

  The feature id for the 'Synonym Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__USER_DEFINED_TYPE_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__USER_DEFINED_TYPE_SUPPORTED

  The feature id for the 'User Defined Type Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__DOMAIN_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__DOMAIN_SUPPORTED

  The feature id for the 'Domain Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__SQL_STATEMENT_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__SQL_STATEMENT_SUPPORTED

  The feature id for the 'SQL Statement Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__NICKNAME_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__NICKNAME_SUPPORTED

  The feature id for the 'Nickname Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__QUOTED_DML_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__QUOTED_DML_SUPPORTED

  The feature id for the 'Quoted DML Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__QUOTED_DDL_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__QUOTED_DDL_SUPPORTED

  The feature id for the 'Quoted DDL Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__XML_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__XML_SUPPORTED

  The feature id for the 'Xml Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__MQT_INDEX_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__MQT_INDEX_SUPPORTED

  The feature id for the 'MQT Index Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__EVENT_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__EVENT_SUPPORTED

  The feature id for the 'Event Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__SQL_UDF_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__SQL_UDF_SUPPORTED

  The feature id for the 'Sql UDF Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_SUPPORTED

  The feature id for the 'Stored Procedure Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__PACKAGE_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__PACKAGE_SUPPORTED

  The feature id for the 'Package Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__AUTHORIZATION_IDENTIFIER_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__AUTHORIZATION_IDENTIFIER_SUPPORTED

  The feature id for the 'Authorization Identifier Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__ROLE_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__ROLE_SUPPORTED

  The feature id for the 'Role Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__GROUP_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__GROUP_SUPPORTED

  The feature id for the 'Group Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__USER_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__USER_SUPPORTED

  The feature id for the 'User Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION__ROLE_AUTHORIZATION_SUPPORTED

    static final int DATABASE_VENDOR_DEFINITION__ROLE_AUTHORIZATION_SUPPORTED

  The feature id for the 'Role Authorization Supported' attribute.

  See Also:
    Constant Field Values

### DATABASE_VENDOR_DEFINITION_FEATURE_COUNT

    static final int DATABASE_VENDOR_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Database Vendor Definition' class.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION

    static final int PREDEFINED_DATA_TYPE_DEFINITION

  The meta object id for the '`Predefined Data Type Definition`' class.

  See Also:
    `PredefinedDataTypeDefinitionImpl`, `DatabaseDefinitionPackageImpl.getPredefinedDataTypeDefinition()`, Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_DEFINITION

    static final int PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_DEFINITION

  The feature id for the 'Leading Field Qualifier Definition' containment reference list.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_DEFINITION

    static final int PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_DEFINITION

  The feature id for the 'Trailing Field Qualifier Definition' containment reference list.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_TRAILING_FIELD_QUALIFIER_DEFINITION

    static final int PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_TRAILING_FIELD_QUALIFIER_DEFINITION

  The feature id for the 'Default Trailing Field Qualifier Definition' reference.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LEADING_FIELD_QUALIFIER_DEFINITION

    static final int PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LEADING_FIELD_QUALIFIER_DEFINITION

  The feature id for the 'Default Leading Field Qualifier Definition' reference.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_SUPPORTED

  The feature id for the 'Length Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__SCALE_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__SCALE_SUPPORTED

  The feature id for the 'Scale Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__PRECISION_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__PRECISION_SUPPORTED

  The feature id for the 'Precision Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__KEY_CONSTRAINT_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__KEY_CONSTRAINT_SUPPORTED

  The feature id for the 'Key Constraint Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__IDENTITY_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__IDENTITY_SUPPORTED

  The feature id for the 'Identity Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__MULTIPLE_COLUMNS_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__MULTIPLE_COLUMNS_SUPPORTED

  The feature id for the 'Multiple Columns Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__NULLABLE_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__NULLABLE_SUPPORTED

  The feature id for the 'Nullable Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SUPPORTED

  The feature id for the 'Default Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__CLUSTERING_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__CLUSTERING_SUPPORTED

  The feature id for the 'Clustering Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__FILL_FACTOR_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__FILL_FACTOR_SUPPORTED

  The feature id for the 'Fill Factor Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__BIT_DATA_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__BIT_DATA_SUPPORTED

  The feature id for the 'Bit Data Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_VALUE

    static final int PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_VALUE

  The feature id for the 'Maximum Value' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_VALUE

    static final int PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_VALUE

  The feature id for the 'Minimum Value' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_LENGTH

    static final int PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_LENGTH

  The feature id for the 'Maximum Length' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_PRECISION

    static final int PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_PRECISION

  The feature id for the 'Maximum Precision' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_SCALE

    static final int PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_SCALE

  The feature id for the 'Maximum Scale' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_SCALE

    static final int PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_SCALE

  The feature id for the 'Minimum Scale' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_VALUE_TYPES

    static final int PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_VALUE_TYPES

  The feature id for the 'Default Value Types' attribute list.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__PRIMITIVE_TYPE

    static final int PREDEFINED_DATA_TYPE_DEFINITION__PRIMITIVE_TYPE

  The feature id for the 'Primitive Type' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__NAME

    static final int PREDEFINED_DATA_TYPE_DEFINITION__NAME

  The feature id for the 'Name' attribute list.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__JDBC_ENUM_TYPE

    static final int PREDEFINED_DATA_TYPE_DEFINITION__JDBC_ENUM_TYPE

  The feature id for the 'Jdbc Enum Type' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET

    static final int PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET

  The feature id for the 'Character Set' attribute list.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME

    static final int PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME

  The feature id for the 'Encoding Scheme' attribute list.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET_SUFFIX

    static final int PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET_SUFFIX

  The feature id for the 'Character Set Suffix' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME_SUFFIX

    static final int PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME_SUFFIX

  The feature id for the 'Encoding Scheme Suffix' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__JAVA_CLASS_NAME

    static final int PREDEFINED_DATA_TYPE_DEFINITION__JAVA_CLASS_NAME

  The feature id for the 'Java Class Name' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LENGTH

    static final int PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LENGTH

  The feature id for the 'Default Length' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_PRECISION

    static final int PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_PRECISION

  The feature id for the 'Default Precision' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SCALE

    static final int PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SCALE

  The feature id for the 'Default Scale' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__CUTOFF_PRECISION

    static final int PREDEFINED_DATA_TYPE_DEFINITION__CUTOFF_PRECISION

  The feature id for the 'Cutoff Precision' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_UNIT

    static final int PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_UNIT

  The feature id for the 'Length Unit' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__ORDERING_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__ORDERING_SUPPORTED

  The feature id for the 'Ordering Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__GROUPING_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__GROUPING_SUPPORTED

  The feature id for the 'Grouping Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME

    static final int PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME_SUPPORTED

  The feature id for the 'Display Name Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_SUPPORTED

  The feature id for the 'Leading Field Qualifier Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_SUPPORTED

  The feature id for the 'Trailing Field Qualifier Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__FIELD_QUALIFIER_SEPARATOR

    static final int PREDEFINED_DATA_TYPE_DEFINITION__FIELD_QUALIFIER_SEPARATOR

  The feature id for the 'Field Qualifier Separator' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_SUPPORTED

    static final int PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_SUPPORTED

  The feature id for the 'Large Value Specifier Supported' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_NAME

    static final int PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_NAME

  The feature id for the 'Large Value Specifier Name' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_LENGTH

    static final int PREDEFINED_DATA_TYPE_DEFINITION__LARGE_VALUE_SPECIFIER_LENGTH

  The feature id for the 'Large Value Specifier Length' attribute.

  See Also:
    Constant Field Values

### PREDEFINED_DATA_TYPE_DEFINITION_FEATURE_COUNT

    static final int PREDEFINED_DATA_TYPE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Predefined Data Type Definition' class.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION

    static final int TABLE_SPACE_DEFINITION

  The meta object id for the '`Table Space Definition`' class.

  See Also:
    `TableSpaceDefinitionImpl`, `DatabaseDefinitionPackageImpl.getTableSpaceDefinition()`, Constant Field Values

### TABLE_SPACE_DEFINITION__TYPE_SUPPORTED

    static final int TABLE_SPACE_DEFINITION__TYPE_SUPPORTED

  The feature id for the 'Type Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION__EXTENT_SIZE_SUPPORTED

    static final int TABLE_SPACE_DEFINITION__EXTENT_SIZE_SUPPORTED

  The feature id for the 'Extent Size Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION__PREFETCH_SIZE_SUPPORTED

    static final int TABLE_SPACE_DEFINITION__PREFETCH_SIZE_SUPPORTED

  The feature id for the 'Prefetch Size Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION__MANAGED_BY_SUPPORTED

    static final int TABLE_SPACE_DEFINITION__MANAGED_BY_SUPPORTED

  The feature id for the 'Managed By Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION__PAGE_SIZE_SUPPORTED

    static final int TABLE_SPACE_DEFINITION__PAGE_SIZE_SUPPORTED

  The feature id for the 'Page Size Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION__BUFFER_POOL_SUPPORTED

    static final int TABLE_SPACE_DEFINITION__BUFFER_POOL_SUPPORTED

  The feature id for the 'Buffer Pool Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION__DEFAULT_SUPPORTED

    static final int TABLE_SPACE_DEFINITION__DEFAULT_SUPPORTED

  The feature id for the 'Default Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION__CONTAINER_MAXIMUM_SIZE_SUPPORTED

    static final int TABLE_SPACE_DEFINITION__CONTAINER_MAXIMUM_SIZE_SUPPORTED

  The feature id for the 'Container Maximum Size Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION__CONTAINER_INITIAL_SIZE_SUPPORTED

    static final int TABLE_SPACE_DEFINITION__CONTAINER_INITIAL_SIZE_SUPPORTED

  The feature id for the 'Container Initial Size Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION__CONTAINER_EXTENT_SIZE_SUPPORTED

    static final int TABLE_SPACE_DEFINITION__CONTAINER_EXTENT_SIZE_SUPPORTED

  The feature id for the 'Container Extent Size Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION__TABLE_SPACE_TYPE

    static final int TABLE_SPACE_DEFINITION__TABLE_SPACE_TYPE

  The feature id for the 'Table Space Type' attribute list.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    static final int TABLE_SPACE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Identifier Length' attribute.

  See Also:
    Constant Field Values

### TABLE_SPACE_DEFINITION_FEATURE_COUNT

    static final int TABLE_SPACE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Table Space Definition' class.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION

    static final int STORED_PROCEDURE_DEFINITION

  The meta object id for the '`Stored Procedure Definition`' class.

  See Also:
    `StoredProcedureDefinitionImpl`, `DatabaseDefinitionPackageImpl.getStoredProcedureDefinition()`, Constant Field Values

### STORED_PROCEDURE_DEFINITION__NULL_INPUT_ACTION_SUPPORTED

    static final int STORED_PROCEDURE_DEFINITION__NULL_INPUT_ACTION_SUPPORTED

  The feature id for the 'Null Input Action Supported' attribute.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__PACKAGE_GENERATION_SUPPORTED

    static final int STORED_PROCEDURE_DEFINITION__PACKAGE_GENERATION_SUPPORTED

  The feature id for the 'Package Generation Supported' attribute.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__DETERMININSTIC_SUPPORTED

    static final int STORED_PROCEDURE_DEFINITION__DETERMININSTIC_SUPPORTED

  The feature id for the 'Determininstic Supported' attribute.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__RETURNED_NULL_SUPPORTED

    static final int STORED_PROCEDURE_DEFINITION__RETURNED_NULL_SUPPORTED

  The feature id for the 'Returned Null Supported' attribute.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__RETURNED_TYPE_DECLARATION_CONSTRAINT_SUPPORTED

    static final int STORED_PROCEDURE_DEFINITION__RETURNED_TYPE_DECLARATION_CONSTRAINT_SUPPORTED

  The feature id for the 'Returned Type Declaration Constraint Supported' attribute.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__PARAMETER_INIT_VALUE_SUPPORTED

    static final int STORED_PROCEDURE_DEFINITION__PARAMETER_INIT_VALUE_SUPPORTED

  The feature id for the 'Parameter Init Value Supported' attribute.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE_SUPPORTED

    static final int STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE_SUPPORTED

  The feature id for the 'Parameter Style Supported' attribute.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__RETURN_TYPE_SUPPORTED

    static final int STORED_PROCEDURE_DEFINITION__RETURN_TYPE_SUPPORTED

  The feature id for the 'Return Type Supported' attribute.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__PARAMETER_DECLARATION_CONSTRAINT_SUPPORTED

    static final int STORED_PROCEDURE_DEFINITION__PARAMETER_DECLARATION_CONSTRAINT_SUPPORTED

  The feature id for the 'Parameter Declaration Constraint Supported' attribute.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH

    static final int STORED_PROCEDURE_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH

  The feature id for the 'Maximum Action Body Length' attribute.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE

    static final int STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE

  The feature id for the 'Parameter Style' attribute list.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__LANGUAGE_TYPE

    static final int STORED_PROCEDURE_DEFINITION__LANGUAGE_TYPE

  The feature id for the 'Language Type' attribute list.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__FUNCTION_LANGUAGE_TYPE

    static final int STORED_PROCEDURE_DEFINITION__FUNCTION_LANGUAGE_TYPE

  The feature id for the 'Function Language Type' attribute list.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__PROCEDURE_TYPE

    static final int STORED_PROCEDURE_DEFINITION__PROCEDURE_TYPE

  The feature id for the 'Procedure Type' attribute list.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    static final int STORED_PROCEDURE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Identifier Length' attribute.

  See Also:
    Constant Field Values

### STORED_PROCEDURE_DEFINITION_FEATURE_COUNT

    static final int STORED_PROCEDURE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Stored Procedure Definition' class.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION

    static final int TRIGGER_DEFINITION

  The meta object id for the '`Trigger Definition`' class.

  See Also:
    `TriggerDefinitionImpl`, `DatabaseDefinitionPackageImpl.getTriggerDefinition()`, Constant Field Values

### TRIGGER_DEFINITION__MAXIMUM_REFERENCE_PART_LENGTH

    static final int TRIGGER_DEFINITION__MAXIMUM_REFERENCE_PART_LENGTH

  The feature id for the 'Maximum Reference Part Length' attribute.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH

    static final int TRIGGER_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH

  The feature id for the 'Maximum Action Body Length' attribute.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION__TYPE_SUPPORTED

    static final int TRIGGER_DEFINITION__TYPE_SUPPORTED

  The feature id for the 'Type Supported' attribute.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION__WHEN_CLAUSE_SUPPORTED

    static final int TRIGGER_DEFINITION__WHEN_CLAUSE_SUPPORTED

  The feature id for the 'When Clause Supported' attribute.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION__GRANULARITY_SUPPORTED

    static final int TRIGGER_DEFINITION__GRANULARITY_SUPPORTED

  The feature id for the 'Granularity Supported' attribute.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION__REFERENCES_CLAUSE_SUPPORTED

    static final int TRIGGER_DEFINITION__REFERENCES_CLAUSE_SUPPORTED

  The feature id for the 'References Clause Supported' attribute.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION__PER_COLUMN_UPDATE_TRIGGER_SUPPORTED

    static final int TRIGGER_DEFINITION__PER_COLUMN_UPDATE_TRIGGER_SUPPORTED

  The feature id for the 'Per Column Update Trigger Supported' attribute.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION__INSTEAD_OF_TRIGGER_SUPPORTED

    static final int TRIGGER_DEFINITION__INSTEAD_OF_TRIGGER_SUPPORTED

  The feature id for the 'Instead Of Trigger Supported' attribute.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION__ROW_TRIGGER_REFERENCE_SUPPORTED

    static final int TRIGGER_DEFINITION__ROW_TRIGGER_REFERENCE_SUPPORTED

  The feature id for the 'Row Trigger Reference Supported' attribute.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION__TABLE_TRIGGER_REFERENCE_SUPPORTED

    static final int TRIGGER_DEFINITION__TABLE_TRIGGER_REFERENCE_SUPPORTED

  The feature id for the 'Table Trigger Reference Supported' attribute.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    static final int TRIGGER_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Identifier Length' attribute.

  See Also:
    Constant Field Values

### TRIGGER_DEFINITION_FEATURE_COUNT

    static final int TRIGGER_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Trigger Definition' class.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION

    static final int COLUMN_DEFINITION

  The meta object id for the '`Column Definition`' class.

  See Also:
    `ColumnDefinitionImpl`, `DatabaseDefinitionPackageImpl.getColumnDefinition()`, Constant Field Values

### COLUMN_DEFINITION__IDENTITY_COLUMN_DATA_TYPE_DEFINITIONS

    static final int COLUMN_DEFINITION__IDENTITY_COLUMN_DATA_TYPE_DEFINITIONS

  The feature id for the 'Identity Column Data Type Definitions' reference list.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__IDENTITY_SUPPORTED

    static final int COLUMN_DEFINITION__IDENTITY_SUPPORTED

  The feature id for the 'Identity Supported' attribute.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__COMPUTED_SUPPORTED

    static final int COLUMN_DEFINITION__COMPUTED_SUPPORTED

  The feature id for the 'Computed Supported' attribute.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__IDENTITY_START_VALUE_SUPPORTED

    static final int COLUMN_DEFINITION__IDENTITY_START_VALUE_SUPPORTED

  The feature id for the 'Identity Start Value Supported' attribute.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__IDENTITY_INCREMENT_SUPPORTED

    static final int COLUMN_DEFINITION__IDENTITY_INCREMENT_SUPPORTED

  The feature id for the 'Identity Increment Supported' attribute.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__IDENTITY_MINIMUM_SUPPORTED

    static final int COLUMN_DEFINITION__IDENTITY_MINIMUM_SUPPORTED

  The feature id for the 'Identity Minimum Supported' attribute.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__IDENTITY_MAXIMUM_SUPPORTED

    static final int COLUMN_DEFINITION__IDENTITY_MAXIMUM_SUPPORTED

  The feature id for the 'Identity Maximum Supported' attribute.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__IDENTITY_CYCLE_SUPPORTED

    static final int COLUMN_DEFINITION__IDENTITY_CYCLE_SUPPORTED

  The feature id for the 'Identity Cycle Supported' attribute.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    static final int COLUMN_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Identifier Length' attribute.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION_FEATURE_COUNT

    static final int COLUMN_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Column Definition' class.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION

    static final int CONSTRAINT_DEFINITION

  The meta object id for the '`Constraint Definition`' class.

  See Also:
    `ConstraintDefinitionImpl`, `DatabaseDefinitionPackageImpl.getConstraintDefinition()`, Constant Field Values

### CONSTRAINT_DEFINITION__DEFERRABLE_CONSTRAINT_SUPPORTED

    static final int CONSTRAINT_DEFINITION__DEFERRABLE_CONSTRAINT_SUPPORTED

  The feature id for the 'Deferrable Constraint Supported' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__INFORMATIONAL_CONSTRAINT_SUPPORTED

    static final int CONSTRAINT_DEFINITION__INFORMATIONAL_CONSTRAINT_SUPPORTED

  The feature id for the 'Informational Constraint Supported' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__CLUSTERED_PRIMARY_KEY_SUPPORTED

    static final int CONSTRAINT_DEFINITION__CLUSTERED_PRIMARY_KEY_SUPPORTED

  The feature id for the 'Clustered Primary Key Supported' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__CLUSTERED_UNIQUE_CONSTRAINT_SUPPORTED

    static final int CONSTRAINT_DEFINITION__CLUSTERED_UNIQUE_CONSTRAINT_SUPPORTED

  The feature id for the 'Clustered Unique Constraint Supported' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__PRIMARY_KEY_NULLABLE

    static final int CONSTRAINT_DEFINITION__PRIMARY_KEY_NULLABLE

  The feature id for the 'Primary Key Nullable' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__UNIQUE_KEY_NULLABLE

    static final int CONSTRAINT_DEFINITION__UNIQUE_KEY_NULLABLE

  The feature id for the 'Unique Key Nullable' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__MAXIMUM_CHECK_EXPRESSION_LENGTH

    static final int CONSTRAINT_DEFINITION__MAXIMUM_CHECK_EXPRESSION_LENGTH

  The feature id for the 'Maximum Check Expression Length' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__PARENT_UPDATE_DRI_RULE_TYPE

    static final int CONSTRAINT_DEFINITION__PARENT_UPDATE_DRI_RULE_TYPE

  The feature id for the 'Parent Update DRI Rule Type' attribute list.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__PARENT_DELETE_DRI_RULE_TYPE

    static final int CONSTRAINT_DEFINITION__PARENT_DELETE_DRI_RULE_TYPE

  The feature id for the 'Parent Delete DRI Rule Type' attribute list.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__CHECK_OPTION

    static final int CONSTRAINT_DEFINITION__CHECK_OPTION

  The feature id for the 'Check Option' attribute list.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__MAXIMUM_PRIMARY_KEY_IDENTIFIER_LENGTH

    static final int CONSTRAINT_DEFINITION__MAXIMUM_PRIMARY_KEY_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Primary Key Identifier Length' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__MAXIMUM_FOREIGN_KEY_IDENTIFIER_LENGTH

    static final int CONSTRAINT_DEFINITION__MAXIMUM_FOREIGN_KEY_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Foreign Key Identifier Length' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION__MAXIMUM_CHECK_CONSTRAINT_IDENTIFIER_LENGTH

    static final int CONSTRAINT_DEFINITION__MAXIMUM_CHECK_CONSTRAINT_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Check Constraint Identifier Length' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_DEFINITION_FEATURE_COUNT

    static final int CONSTRAINT_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Constraint Definition' class.

  See Also:
    Constant Field Values

### INDEX_DEFINITION

    static final int INDEX_DEFINITION

  The meta object id for the '`Index Definition`' class.

  See Also:
    `IndexDefinitionImpl`, `DatabaseDefinitionPackageImpl.getIndexDefinition()`, Constant Field Values

### INDEX_DEFINITION__PERCENT_FREE_TERMINOLOGY

    static final int INDEX_DEFINITION__PERCENT_FREE_TERMINOLOGY

  The feature id for the 'Percent Free Terminology' attribute.

  See Also:
    Constant Field Values

### INDEX_DEFINITION__PERCENT_FREE_CHANGEABLE

    static final int INDEX_DEFINITION__PERCENT_FREE_CHANGEABLE

  The feature id for the 'Percent Free Changeable' attribute.

  See Also:
    Constant Field Values

### INDEX_DEFINITION__CLUSTERING_SUPPORTED

    static final int INDEX_DEFINITION__CLUSTERING_SUPPORTED

  The feature id for the 'Clustering Supported' attribute.

  See Also:
    Constant Field Values

### INDEX_DEFINITION__CLUSTER_CHANGEABLE

    static final int INDEX_DEFINITION__CLUSTER_CHANGEABLE

  The feature id for the 'Cluster Changeable' attribute.

  See Also:
    Constant Field Values

### INDEX_DEFINITION__FILL_FACTOR_SUPPORTED

    static final int INDEX_DEFINITION__FILL_FACTOR_SUPPORTED

  The feature id for the 'Fill Factor Supported' attribute.

  See Also:
    Constant Field Values

### INDEX_DEFINITION__INCLUDED_COLUMNS_SUPPORTED

    static final int INDEX_DEFINITION__INCLUDED_COLUMNS_SUPPORTED

  The feature id for the 'Included Columns Supported' attribute.

  See Also:
    Constant Field Values

### INDEX_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    static final int INDEX_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Identifier Length' attribute.

  See Also:
    Constant Field Values

### INDEX_DEFINITION_FEATURE_COUNT

    static final int INDEX_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Index Definition' class.

  See Also:
    Constant Field Values

### EXTENDED_DEFINITION

    static final int EXTENDED_DEFINITION

  The meta object id for the '`Extended Definition`' class.

  See Also:
    `ExtendedDefinitionImpl`, `DatabaseDefinitionPackageImpl.getExtendedDefinition()`, Constant Field Values

### EXTENDED_DEFINITION__NAME

    static final int EXTENDED_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### EXTENDED_DEFINITION__VALUE

    static final int EXTENDED_DEFINITION__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### EXTENDED_DEFINITION_FEATURE_COUNT

    static final int EXTENDED_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Extended Definition' class.

  See Also:
    Constant Field Values

### TABLE_DEFINITION

    static final int TABLE_DEFINITION

  The meta object id for the '`Table Definition`' class.

  See Also:
    `TableDefinitionImpl`, `DatabaseDefinitionPackageImpl.getTableDefinition()`, Constant Field Values

### TABLE_DEFINITION__AUDIT_SUPPORTED

    static final int TABLE_DEFINITION__AUDIT_SUPPORTED

  The feature id for the 'Audit Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_DEFINITION__DATA_CAPTURE_SUPPORTED

    static final int TABLE_DEFINITION__DATA_CAPTURE_SUPPORTED

  The feature id for the 'Data Capture Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_DEFINITION__EDIT_PROC_SUPPORTED

    static final int TABLE_DEFINITION__EDIT_PROC_SUPPORTED

  The feature id for the 'Edit Proc Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_DEFINITION__ENCODING_SUPPORTED

    static final int TABLE_DEFINITION__ENCODING_SUPPORTED

  The feature id for the 'Encoding Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_DEFINITION__VALID_PROC_SUPPORTED

    static final int TABLE_DEFINITION__VALID_PROC_SUPPORTED

  The feature id for the 'Valid Proc Supported' attribute.

  See Also:
    Constant Field Values

### TABLE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    static final int TABLE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Identifier Length' attribute.

  See Also:
    Constant Field Values

### TABLE_DEFINITION_FEATURE_COUNT

    static final int TABLE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Table Definition' class.

  See Also:
    Constant Field Values

### SEQUENCE_DEFINITION

    static final int SEQUENCE_DEFINITION

  The meta object id for the '`Sequence Definition`' class.

  See Also:
    `SequenceDefinitionImpl`, `DatabaseDefinitionPackageImpl.getSequenceDefinition()`, Constant Field Values

### SEQUENCE_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS

    static final int SEQUENCE_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS

  The feature id for the 'Predefined Data Type Definitions' reference list.

  See Also:
    Constant Field Values

### SEQUENCE_DEFINITION__DEFAULT_DATA_TYPE_DEFINITION

    static final int SEQUENCE_DEFINITION__DEFAULT_DATA_TYPE_DEFINITION

  The feature id for the 'Default Data Type Definition' reference.

  See Also:
    Constant Field Values

### SEQUENCE_DEFINITION__TYPE_ENUMERATION_SUPPORTED

    static final int SEQUENCE_DEFINITION__TYPE_ENUMERATION_SUPPORTED

  The feature id for the 'Type Enumeration Supported' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_DEFINITION__CACHE_SUPPORTED

    static final int SEQUENCE_DEFINITION__CACHE_SUPPORTED

  The feature id for the 'Cache Supported' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_DEFINITION__ORDER_SUPPORTED

    static final int SEQUENCE_DEFINITION__ORDER_SUPPORTED

  The feature id for the 'Order Supported' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_DEFINITION__NO_MAXIMUM_VALUE_STRING

    static final int SEQUENCE_DEFINITION__NO_MAXIMUM_VALUE_STRING

  The feature id for the 'No Maximum Value String' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_DEFINITION__NO_MINIMUM_VALUE_STRING

    static final int SEQUENCE_DEFINITION__NO_MINIMUM_VALUE_STRING

  The feature id for the 'No Minimum Value String' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_DEFINITION__NO_CACHE_STRING

    static final int SEQUENCE_DEFINITION__NO_CACHE_STRING

  The feature id for the 'No Cache String' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_DEFINITION__CACHE_DEFAULT_VALUE

    static final int SEQUENCE_DEFINITION__CACHE_DEFAULT_VALUE

  The feature id for the 'Cache Default Value' attribute.

  See Also:
    Constant Field Values

### SEQUENCE_DEFINITION_FEATURE_COUNT

    static final int SEQUENCE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Sequence Definition' class.

  See Also:
    Constant Field Values

### USER_DEFINED_TYPE_DEFINITION

    static final int USER_DEFINED_TYPE_DEFINITION

  The meta object id for the '`User Defined Type Definition`' class.

  See Also:
    `UserDefinedTypeDefinitionImpl`, `DatabaseDefinitionPackageImpl.getUserDefinedTypeDefinition()`, Constant Field Values

### USER_DEFINED_TYPE_DEFINITION__DEFAULT_VALUE_SUPPORTED

    static final int USER_DEFINED_TYPE_DEFINITION__DEFAULT_VALUE_SUPPORTED

  The feature id for the 'Default Value Supported' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_TYPE_DEFINITION__DISTINCT_TYPE_SUPPORTED

    static final int USER_DEFINED_TYPE_DEFINITION__DISTINCT_TYPE_SUPPORTED

  The feature id for the 'Distinct Type Supported' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_TYPE_DEFINITION__STRUCTURED_TYPE_SUPPORTED

    static final int USER_DEFINED_TYPE_DEFINITION__STRUCTURED_TYPE_SUPPORTED

  The feature id for the 'Structured Type Supported' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_TYPE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    static final int USER_DEFINED_TYPE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Identifier Length' attribute.

  See Also:
    Constant Field Values

### USER_DEFINED_TYPE_DEFINITION_FEATURE_COUNT

    static final int USER_DEFINED_TYPE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'User Defined Type Definition' class.

  See Also:
    Constant Field Values

### QUERY_DEFINITION

    static final int QUERY_DEFINITION

  The meta object id for the '`Query Definition`' class.

  See Also:
    `QueryDefinitionImpl`, `DatabaseDefinitionPackageImpl.getQueryDefinition()`, Constant Field Values

### QUERY_DEFINITION__IDENTIFIER_QUOTE_STRING

    static final int QUERY_DEFINITION__IDENTIFIER_QUOTE_STRING

  The feature id for the 'Identifier Quote String' attribute.

  See Also:
    Constant Field Values

### QUERY_DEFINITION__HOST_VARIABLE_MARKER

    static final int QUERY_DEFINITION__HOST_VARIABLE_MARKER

  The feature id for the 'Host Variable Marker' attribute.

  See Also:
    Constant Field Values

### QUERY_DEFINITION__HOST_VARIABLE_MARKER_SUPPORTED

    static final int QUERY_DEFINITION__HOST_VARIABLE_MARKER_SUPPORTED

  The feature id for the 'Host Variable Marker Supported' attribute.

  See Also:
    Constant Field Values

### QUERY_DEFINITION__CAST_EXPRESSION_SUPPORTED

    static final int QUERY_DEFINITION__CAST_EXPRESSION_SUPPORTED

  The feature id for the 'Cast Expression Supported' attribute.

  See Also:
    Constant Field Values

### QUERY_DEFINITION__DEFAULT_KEYWORD_FOR_INSERT_VALUE_SUPPORTED

    static final int QUERY_DEFINITION__DEFAULT_KEYWORD_FOR_INSERT_VALUE_SUPPORTED

  The feature id for the 'Default Keyword For Insert Value Supported' attribute.

  See Also:
    Constant Field Values

### QUERY_DEFINITION__EXTENDED_GROUPING_SUPPORTED

    static final int QUERY_DEFINITION__EXTENDED_GROUPING_SUPPORTED

  The feature id for the 'Extended Grouping Supported' attribute.

  See Also:
    Constant Field Values

### QUERY_DEFINITION__TABLE_ALIAS_IN_DELETE_SUPPORTED

    static final int QUERY_DEFINITION__TABLE_ALIAS_IN_DELETE_SUPPORTED

  The feature id for the 'Table Alias In Delete Supported' attribute.

  See Also:
    Constant Field Values

### QUERY_DEFINITION_FEATURE_COUNT

    static final int QUERY_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Query Definition' class.

  See Also:
    Constant Field Values

### SQL_SYNTAX_DEFINITION

    static final int SQL_SYNTAX_DEFINITION

  The meta object id for the '`SQL Syntax Definition`' class.

  See Also:
    `SQLSyntaxDefinitionImpl`, `DatabaseDefinitionPackageImpl.getSQLSyntaxDefinition()`, Constant Field Values

### SQL_SYNTAX_DEFINITION__KEYWORDS

    static final int SQL_SYNTAX_DEFINITION__KEYWORDS

  The feature id for the 'Keywords' attribute list.

  See Also:
    Constant Field Values

### SQL_SYNTAX_DEFINITION__OPERATORS

    static final int SQL_SYNTAX_DEFINITION__OPERATORS

  The feature id for the 'Operators' attribute list.

  See Also:
    Constant Field Values

### SQL_SYNTAX_DEFINITION__TERMINATION_CHARACTER

    static final int SQL_SYNTAX_DEFINITION__TERMINATION_CHARACTER

  The feature id for the 'Termination Character' attribute.

  See Also:
    Constant Field Values

### SQL_SYNTAX_DEFINITION_FEATURE_COUNT

    static final int SQL_SYNTAX_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'SQL Syntax Definition' class.

  See Also:
    Constant Field Values

### NICKNAME_DEFINITION

    static final int NICKNAME_DEFINITION

  The meta object id for the '`Nickname Definition`' class.

  See Also:
    `NicknameDefinitionImpl`, `DatabaseDefinitionPackageImpl.getNicknameDefinition()`, Constant Field Values

### NICKNAME_DEFINITION__CONSTRAINT_SUPPORTED

    static final int NICKNAME_DEFINITION__CONSTRAINT_SUPPORTED

  The feature id for the 'Constraint Supported' attribute.

  See Also:
    Constant Field Values

### NICKNAME_DEFINITION__INDEX_SUPPORTED

    static final int NICKNAME_DEFINITION__INDEX_SUPPORTED

  The feature id for the 'Index Supported' attribute.

  See Also:
    Constant Field Values

### NICKNAME_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    static final int NICKNAME_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Identifier Length' attribute.

  See Also:
    Constant Field Values

### NICKNAME_DEFINITION_FEATURE_COUNT

    static final int NICKNAME_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Nickname Definition' class.

  See Also:
    Constant Field Values

### SCHEMA_DEFINITION

    static final int SCHEMA_DEFINITION

  The meta object id for the '`Schema Definition`' class.

  See Also:
    `SchemaDefinitionImpl`, `DatabaseDefinitionPackageImpl.getSchemaDefinition()`, Constant Field Values

### SCHEMA_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    static final int SCHEMA_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Identifier Length' attribute.

  See Also:
    Constant Field Values

### SCHEMA_DEFINITION_FEATURE_COUNT

    static final int SCHEMA_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Schema Definition' class.

  See Also:
    Constant Field Values

### VIEW_DEFINITION

    static final int VIEW_DEFINITION

  The meta object id for the '`View Definition`' class.

  See Also:
    `ViewDefinitionImpl`, `DatabaseDefinitionPackageImpl.getViewDefinition()`, Constant Field Values

### VIEW_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    static final int VIEW_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The feature id for the 'Maximum Identifier Length' attribute.

  See Also:
    Constant Field Values

### VIEW_DEFINITION__INDEX_SUPPORTED

    static final int VIEW_DEFINITION__INDEX_SUPPORTED

  The feature id for the 'Index Supported' attribute.

  See Also:
    Constant Field Values

### VIEW_DEFINITION_FEATURE_COUNT

    static final int VIEW_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'View Definition' class.

  See Also:
    Constant Field Values

### FIELD_QUALIFIER_DEFINITION

    static final int FIELD_QUALIFIER_DEFINITION

  The meta object id for the '`Field Qualifier Definition`' class.

  See Also:
    `FieldQualifierDefinitionImpl`, `DatabaseDefinitionPackageImpl.getFieldQualifierDefinition()`, Constant Field Values

### FIELD_QUALIFIER_DEFINITION__VALID_TRAILING_FIELD_QUALIFIER_DEFINITIONS

    static final int FIELD_QUALIFIER_DEFINITION__VALID_TRAILING_FIELD_QUALIFIER_DEFINITIONS

  The feature id for the 'Valid Trailing Field Qualifier Definitions' reference list.

  See Also:
    Constant Field Values

### FIELD_QUALIFIER_DEFINITION__NAME

    static final int FIELD_QUALIFIER_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### FIELD_QUALIFIER_DEFINITION__MAXIMUM_PRECISION

    static final int FIELD_QUALIFIER_DEFINITION__MAXIMUM_PRECISION

  The feature id for the 'Maximum Precision' attribute.

  See Also:
    Constant Field Values

### FIELD_QUALIFIER_DEFINITION__DEFAULT_PRECISION

    static final int FIELD_QUALIFIER_DEFINITION__DEFAULT_PRECISION

  The feature id for the 'Default Precision' attribute.

  See Also:
    Constant Field Values

### FIELD_QUALIFIER_DEFINITION__PRECISION_SUPPORTED

    static final int FIELD_QUALIFIER_DEFINITION__PRECISION_SUPPORTED

  The feature id for the 'Precision Supported' attribute.

  See Also:
    Constant Field Values

### FIELD_QUALIFIER_DEFINITION__MAXIMUM_SCALE

    static final int FIELD_QUALIFIER_DEFINITION__MAXIMUM_SCALE

  The feature id for the 'Maximum Scale' attribute.

  See Also:
    Constant Field Values

### FIELD_QUALIFIER_DEFINITION__DEFAULT_SCALE

    static final int FIELD_QUALIFIER_DEFINITION__DEFAULT_SCALE

  The feature id for the 'Default Scale' attribute.

  See Also:
    Constant Field Values

### FIELD_QUALIFIER_DEFINITION__SCALE_SUPPORTED

    static final int FIELD_QUALIFIER_DEFINITION__SCALE_SUPPORTED

  The feature id for the 'Scale Supported' attribute.

  See Also:
    Constant Field Values

### FIELD_QUALIFIER_DEFINITION_FEATURE_COUNT

    static final int FIELD_QUALIFIER_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Field Qualifier Definition' class.

  See Also:
    Constant Field Values

### DEBUGGER_DEFINITION

    static final int DEBUGGER_DEFINITION

  The meta object id for the '`Debugger Definition`' class.

  See Also:
    `DebuggerDefinitionImpl`, `DatabaseDefinitionPackageImpl.getDebuggerDefinition()`, Constant Field Values

### DEBUGGER_DEFINITION__CONDITION_SUPPORTED

    static final int DEBUGGER_DEFINITION__CONDITION_SUPPORTED

  The feature id for the 'Condition Supported' attribute.

  See Also:
    Constant Field Values

### DEBUGGER_DEFINITION_FEATURE_COUNT

    static final int DEBUGGER_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Debugger Definition' class.

  See Also:
    Constant Field Values

### PRIVILEGED_ELEMENT_DEFINITION

    static final int PRIVILEGED_ELEMENT_DEFINITION

  The meta object id for the '`Privileged Element Definition`' class.

  See Also:
    `PrivilegedElementDefinitionImpl`, `DatabaseDefinitionPackageImpl.getPrivilegedElementDefinition()`, Constant Field Values

### PRIVILEGED_ELEMENT_DEFINITION__PRIVILEGE_DEFINITIONS

    static final int PRIVILEGED_ELEMENT_DEFINITION__PRIVILEGE_DEFINITIONS

  The feature id for the 'Privilege Definitions' containment reference list.

  See Also:
    Constant Field Values

### PRIVILEGED_ELEMENT_DEFINITION__NAME

    static final int PRIVILEGED_ELEMENT_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PRIVILEGED_ELEMENT_DEFINITION_FEATURE_COUNT

    static final int PRIVILEGED_ELEMENT_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Privileged Element Definition' class.

  See Also:
    Constant Field Values

### PRIVILEGE_DEFINITION

    static final int PRIVILEGE_DEFINITION

  The meta object id for the '`Privilege Definition`' class.

  See Also:
    `PrivilegeDefinitionImpl`, `DatabaseDefinitionPackageImpl.getPrivilegeDefinition()`, Constant Field Values

### PRIVILEGE_DEFINITION__ACTION_ELEMENT_DEFINITIONS

    static final int PRIVILEGE_DEFINITION__ACTION_ELEMENT_DEFINITIONS

  The feature id for the 'Action Element Definitions' reference list.

  See Also:
    Constant Field Values

### PRIVILEGE_DEFINITION__NAME

    static final int PRIVILEGE_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PRIVILEGE_DEFINITION_FEATURE_COUNT

    static final int PRIVILEGE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Privilege Definition' class.

  See Also:
    Constant Field Values

### CHECK_OPTION

    static final int CHECK_OPTION

  The meta object id for the '`Check Option`' enum.

  See Also:
    `CheckOption`, `DatabaseDefinitionPackageImpl.getCheckOption()`, Constant Field Values

### LANGUAGE_TYPE

    static final int LANGUAGE_TYPE

  The meta object id for the '`Language Type`' enum.

  See Also:
    `LanguageType`, `DatabaseDefinitionPackageImpl.getLanguageType()`, Constant Field Values

### PARAMETER_STYLE

    static final int PARAMETER_STYLE

  The meta object id for the '`Parameter Style`' enum.

  See Also:
    `ParameterStyle`, `DatabaseDefinitionPackageImpl.getParameterStyle()`, Constant Field Values

### PARENT_DELETE_DRI_RULE_TYPE

    static final int PARENT_DELETE_DRI_RULE_TYPE

  The meta object id for the '`Parent Delete DRI Rule Type`' enum.

  See Also:
    `ParentDeleteDRIRuleType`, `DatabaseDefinitionPackageImpl.getParentDeleteDRIRuleType()`, Constant Field Values

### PARENT_UPDATE_DRI_RULE_TYPE

    static final int PARENT_UPDATE_DRI_RULE_TYPE

  The meta object id for the '`Parent Update DRI Rule Type`' enum.

  See Also:
    `ParentUpdateDRIRuleType`, `DatabaseDefinitionPackageImpl.getParentUpdateDRIRuleType()`, Constant Field Values

### PROCEDURE_TYPE

    static final int PROCEDURE_TYPE

  The meta object id for the '`Procedure Type`' enum.

  See Also:
    `ProcedureType`, `DatabaseDefinitionPackageImpl.getProcedureType()`, Constant Field Values

### TABLE_SPACE_TYPE

    static final int TABLE_SPACE_TYPE

  The meta object id for the '`Table Space Type`' enum.

  See Also:
    `TableSpaceType`, `DatabaseDefinitionPackageImpl.getTableSpaceType()`, Constant Field Values

### PERCENT_FREE_TERMINOLOGY

    static final int PERCENT_FREE_TERMINOLOGY

  The meta object id for the '`Percent Free Terminology`' enum.

  See Also:
    `PercentFreeTerminology`, `DatabaseDefinitionPackageImpl.getPercentFreeTerminology()`, Constant Field Values

### LENGTH_UNIT

    static final int LENGTH_UNIT

  The meta object id for the '`Length Unit`' enum.

  See Also:
    `LengthUnit`, `DatabaseDefinitionPackageImpl.getLengthUnit()`, Constant Field Values

Method Detail

### getDatabaseVendorDefinition

    EClass getDatabaseVendorDefinition()

  Returns the meta object for class '`Database Vendor Definition`'.

  Returns:
    the meta object for class 'Database Vendor Definition'.
  See Also:
    `DatabaseVendorDefinition`

### getDatabaseVendorDefinition_Vendor

    EAttribute getDatabaseVendorDefinition_Vendor()

  Returns the meta object for the attribute '`Vendor`'.

  Returns:
    the meta object for the attribute 'Vendor'.
  See Also:
    `DatabaseVendorDefinition.getVendor()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_Version

    EAttribute getDatabaseVendorDefinition_Version()

  Returns the meta object for the attribute '`Version`'.

  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `DatabaseVendorDefinition.getVersion()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ConstraintsSupported

    EAttribute getDatabaseVendorDefinition_ConstraintsSupported()

  Returns the meta object for the attribute '`Constraints Supported`'.

  Returns:
    the meta object for the attribute 'Constraints Supported'.
  See Also:
    `DatabaseVendorDefinition.isConstraintsSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_MaximumIdentifierLength

    EAttribute getDatabaseVendorDefinition_MaximumIdentifierLength()

  Returns the meta object for the attribute '`Maximum Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `DatabaseVendorDefinition.getMaximumIdentifierLength()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_TriggerSupported

    EAttribute getDatabaseVendorDefinition_TriggerSupported()

  Returns the meta object for the attribute '`Trigger Supported`'.

  Returns:
    the meta object for the attribute 'Trigger Supported'.
  See Also:
    `DatabaseVendorDefinition.isTriggerSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SnapshotViewSupported

    EAttribute getDatabaseVendorDefinition_SnapshotViewSupported()

  Returns the meta object for the attribute '`Snapshot View Supported`'.

  Returns:
    the meta object for the attribute 'Snapshot View Supported'.
  See Also:
    `DatabaseVendorDefinition.isSnapshotViewSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_JoinSupported

    EAttribute getDatabaseVendorDefinition_JoinSupported()

  Returns the meta object for the attribute '`Join Supported`'.

  Returns:
    the meta object for the attribute 'Join Supported'.
  See Also:
    `DatabaseVendorDefinition.isJoinSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ViewTriggerSupported

    EAttribute getDatabaseVendorDefinition_ViewTriggerSupported()

  Returns the meta object for the attribute '`View Trigger Supported`'.

  Returns:
    the meta object for the attribute 'View Trigger Supported'.
  See Also:
    `DatabaseVendorDefinition.isViewTriggerSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_TablespacesSupported

    EAttribute getDatabaseVendorDefinition_TablespacesSupported()

  Returns the meta object for the attribute '`Tablespaces Supported`'.

  Returns:
    the meta object for the attribute 'Tablespaces Supported'.
  See Also:
    `DatabaseVendorDefinition.isTablespacesSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_MaximumCommentLength

    EAttribute getDatabaseVendorDefinition_MaximumCommentLength()

  Returns the meta object for the attribute '`Maximum Comment Length`'.

  Returns:
    the meta object for the attribute 'Maximum Comment Length'.
  See Also:
    `DatabaseVendorDefinition.getMaximumCommentLength()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SequenceSupported

    EAttribute getDatabaseVendorDefinition_SequenceSupported()

  Returns the meta object for the attribute '`Sequence Supported`'.

  Returns:
    the meta object for the attribute 'Sequence Supported'.
  See Also:
    `DatabaseVendorDefinition.isSequenceSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_MQTSupported

    EAttribute getDatabaseVendorDefinition_MQTSupported()

  Returns the meta object for the attribute '`MQT Supported`'.

  Returns:
    the meta object for the attribute 'MQT Supported'.
  See Also:
    `DatabaseVendorDefinition.isMQTSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SchemaSupported

    EAttribute getDatabaseVendorDefinition_SchemaSupported()

  Returns the meta object for the attribute '`Schema Supported`'.

  Returns:
    the meta object for the attribute 'Schema Supported'.
  See Also:
    `DatabaseVendorDefinition.isSchemaSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_AliasSupported

    EAttribute getDatabaseVendorDefinition_AliasSupported()

  Returns the meta object for the attribute '`Alias Supported`'.

  Returns:
    the meta object for the attribute 'Alias Supported'.
  See Also:
    `DatabaseVendorDefinition.isAliasSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SynonymSupported

    EAttribute getDatabaseVendorDefinition_SynonymSupported()

  Returns the meta object for the attribute '`Synonym Supported`'.

  Returns:
    the meta object for the attribute 'Synonym Supported'.
  See Also:
    `DatabaseVendorDefinition.isSynonymSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_UserDefinedTypeSupported

    EAttribute getDatabaseVendorDefinition_UserDefinedTypeSupported()

  Returns the meta object for the attribute '`User Defined Type Supported`'.

  Returns:
    the meta object for the attribute 'User Defined Type Supported'.
  See Also:
    `DatabaseVendorDefinition.isUserDefinedTypeSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_DomainSupported

    EAttribute getDatabaseVendorDefinition_DomainSupported()

  Returns the meta object for the attribute '`Domain Supported`'.

  Returns:
    the meta object for the attribute 'Domain Supported'.
  See Also:
    `DatabaseVendorDefinition.isDomainSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SQLStatementSupported

    EAttribute getDatabaseVendorDefinition_SQLStatementSupported()

  Returns the meta object for the attribute '`SQL Statement Supported`'.

  Returns:
    the meta object for the attribute 'SQL Statement Supported'.
  See Also:
    `DatabaseVendorDefinition.isSQLStatementSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_NicknameSupported

    EAttribute getDatabaseVendorDefinition_NicknameSupported()

  Returns the meta object for the attribute '`Nickname Supported`'.

  Returns:
    the meta object for the attribute 'Nickname Supported'.
  See Also:
    `DatabaseVendorDefinition.isNicknameSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_QuotedDMLSupported

    EAttribute getDatabaseVendorDefinition_QuotedDMLSupported()

  Returns the meta object for the attribute '`Quoted DML Supported`'.

  Returns:
    the meta object for the attribute 'Quoted DML Supported'.
  See Also:
    `DatabaseVendorDefinition.isQuotedDMLSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_QuotedDDLSupported

    EAttribute getDatabaseVendorDefinition_QuotedDDLSupported()

  Returns the meta object for the attribute '`Quoted DDL Supported`'.

  Returns:
    the meta object for the attribute 'Quoted DDL Supported'.
  See Also:
    `DatabaseVendorDefinition.isQuotedDDLSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_XmlSupported

    EAttribute getDatabaseVendorDefinition_XmlSupported()

  Returns the meta object for the attribute '`Xml Supported`'.

  Returns:
    the meta object for the attribute 'Xml Supported'.
  See Also:
    `DatabaseVendorDefinition.isXmlSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_MQTIndexSupported

    EAttribute getDatabaseVendorDefinition_MQTIndexSupported()

  Returns the meta object for the attribute '`MQT Index Supported`'.

  Returns:
    the meta object for the attribute 'MQT Index Supported'.
  See Also:
    `DatabaseVendorDefinition.isMQTIndexSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_EventSupported

    EAttribute getDatabaseVendorDefinition_EventSupported()

  Returns the meta object for the attribute '`Event Supported`'.

  Returns:
    the meta object for the attribute 'Event Supported'.
  See Also:
    `DatabaseVendorDefinition.isEventSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SqlUDFSupported

    EAttribute getDatabaseVendorDefinition_SqlUDFSupported()

  Returns the meta object for the attribute '`Sql UDF Supported`'.

  Returns:
    the meta object for the attribute 'Sql UDF Supported'.
  See Also:
    `DatabaseVendorDefinition.isSqlUDFSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_StoredProcedureSupported

    EAttribute getDatabaseVendorDefinition_StoredProcedureSupported()

  Returns the meta object for the attribute '`Stored Procedure Supported`'.

  Returns:
    the meta object for the attribute 'Stored Procedure Supported'.
  See Also:
    `DatabaseVendorDefinition.isStoredProcedureSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_PackageSupported

    EAttribute getDatabaseVendorDefinition_PackageSupported()

  Returns the meta object for the attribute '`Package Supported`'.

  Returns:
    the meta object for the attribute 'Package Supported'.
  See Also:
    `DatabaseVendorDefinition.isPackageSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_AuthorizationIdentifierSupported

    EAttribute getDatabaseVendorDefinition_AuthorizationIdentifierSupported()

  Returns the meta object for the attribute '`Authorization Identifier Supported`'.

  Returns:
    the meta object for the attribute 'Authorization Identifier Supported'.
  See Also:
    `DatabaseVendorDefinition.isAuthorizationIdentifierSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_RoleSupported

    EAttribute getDatabaseVendorDefinition_RoleSupported()

  Returns the meta object for the attribute '`Role Supported`'.

  Returns:
    the meta object for the attribute 'Role Supported'.
  See Also:
    `DatabaseVendorDefinition.isRoleSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_GroupSupported

    EAttribute getDatabaseVendorDefinition_GroupSupported()

  Returns the meta object for the attribute '`Group Supported`'.

  Returns:
    the meta object for the attribute 'Group Supported'.
  See Also:
    `DatabaseVendorDefinition.isGroupSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_UserSupported

    EAttribute getDatabaseVendorDefinition_UserSupported()

  Returns the meta object for the attribute '`User Supported`'.

  Returns:
    the meta object for the attribute 'User Supported'.
  See Also:
    `DatabaseVendorDefinition.isUserSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_RoleAuthorizationSupported

    EAttribute getDatabaseVendorDefinition_RoleAuthorizationSupported()

  Returns the meta object for the attribute '`Role Authorization Supported`'.

  Returns:
    the meta object for the attribute 'Role Authorization Supported'.
  See Also:
    `DatabaseVendorDefinition.isRoleAuthorizationSupported()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_PredefinedDataTypeDefinitions

    EReference getDatabaseVendorDefinition_PredefinedDataTypeDefinitions()

  Returns the meta object for the containment reference list '`Predefined Data Type Definitions`'.

  Returns:
    the meta object for the containment reference list 'Predefined Data Type Definitions'.
  See Also:
    `DatabaseVendorDefinition.getPredefinedDataTypeDefinitions()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_TableSpaceDefinition

    EReference getDatabaseVendorDefinition_TableSpaceDefinition()

  Returns the meta object for the containment reference '`Table Space Definition`'.

  Returns:
    the meta object for the containment reference 'Table Space Definition'.
  See Also:
    `DatabaseVendorDefinition.getTableSpaceDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_StoredProcedureDefinition

    EReference getDatabaseVendorDefinition_StoredProcedureDefinition()

  Returns the meta object for the containment reference '`Stored Procedure Definition`'.

  Returns:
    the meta object for the containment reference 'Stored Procedure Definition'.
  See Also:
    `DatabaseVendorDefinition.getStoredProcedureDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_TriggerDefinition

    EReference getDatabaseVendorDefinition_TriggerDefinition()

  Returns the meta object for the containment reference '`Trigger Definition`'.

  Returns:
    the meta object for the containment reference 'Trigger Definition'.
  See Also:
    `DatabaseVendorDefinition.getTriggerDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ColumnDefinition

    EReference getDatabaseVendorDefinition_ColumnDefinition()

  Returns the meta object for the containment reference '`Column Definition`'.

  Returns:
    the meta object for the containment reference 'Column Definition'.
  See Also:
    `DatabaseVendorDefinition.getColumnDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ConstraintDefinition

    EReference getDatabaseVendorDefinition_ConstraintDefinition()

  Returns the meta object for the containment reference '`Constraint Definition`'.

  Returns:
    the meta object for the containment reference 'Constraint Definition'.
  See Also:
    `DatabaseVendorDefinition.getConstraintDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ExtendedDefinitions

    EReference getDatabaseVendorDefinition_ExtendedDefinitions()

  Returns the meta object for the containment reference list '`Extended Definitions`'.

  Returns:
    the meta object for the containment reference list 'Extended Definitions'.
  See Also:
    `DatabaseVendorDefinition.getExtendedDefinitions()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_IndexDefinition

    EReference getDatabaseVendorDefinition_IndexDefinition()

  Returns the meta object for the containment reference '`Index Definition`'.

  Returns:
    the meta object for the containment reference 'Index Definition'.
  See Also:
    `DatabaseVendorDefinition.getIndexDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_TableDefinition

    EReference getDatabaseVendorDefinition_TableDefinition()

  Returns the meta object for the containment reference '`Table Definition`'.

  Returns:
    the meta object for the containment reference 'Table Definition'.
  See Also:
    `DatabaseVendorDefinition.getTableDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SequenceDefinition

    EReference getDatabaseVendorDefinition_SequenceDefinition()

  Returns the meta object for the containment reference '`Sequence Definition`'.

  Returns:
    the meta object for the containment reference 'Sequence Definition'.
  See Also:
    `DatabaseVendorDefinition.getSequenceDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_UdtDefinition

    EReference getDatabaseVendorDefinition_UdtDefinition()

  Returns the meta object for the containment reference '`Udt Definition`'.

  Returns:
    the meta object for the containment reference 'Udt Definition'.
  See Also:
    `DatabaseVendorDefinition.getUdtDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_QueryDefinition

    EReference getDatabaseVendorDefinition_QueryDefinition()

  Returns the meta object for the containment reference '`Query Definition`'.

  Returns:
    the meta object for the containment reference 'Query Definition'.
  See Also:
    `DatabaseVendorDefinition.getQueryDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SQLSyntaxDefinition

    EReference getDatabaseVendorDefinition_SQLSyntaxDefinition()

  Returns the meta object for the containment reference '`SQL Syntax Definition`'.

  Returns:
    the meta object for the containment reference 'SQL Syntax Definition'.
  See Also:
    `DatabaseVendorDefinition.getSQLSyntaxDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_NicknameDefinition

    EReference getDatabaseVendorDefinition_NicknameDefinition()

  Returns the meta object for the containment reference '`Nickname Definition`'.

  Returns:
    the meta object for the containment reference 'Nickname Definition'.
  See Also:
    `DatabaseVendorDefinition.getNicknameDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_SchemaDefinition

    EReference getDatabaseVendorDefinition_SchemaDefinition()

  Returns the meta object for the containment reference '`Schema Definition`'.

  Returns:
    the meta object for the containment reference 'Schema Definition'.
  See Also:
    `DatabaseVendorDefinition.getSchemaDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_ViewDefinition

    EReference getDatabaseVendorDefinition_ViewDefinition()

  Returns the meta object for the containment reference '`View Definition`'.

  Returns:
    the meta object for the containment reference 'View Definition'.
  See Also:
    `DatabaseVendorDefinition.getViewDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_DebuggerDefinition

    EReference getDatabaseVendorDefinition_DebuggerDefinition()

  Returns the meta object for the containment reference '`Debugger Definition`'.

  Returns:
    the meta object for the containment reference 'Debugger Definition'.
  See Also:
    `DatabaseVendorDefinition.getDebuggerDefinition()`, `getDatabaseVendorDefinition()`

### getDatabaseVendorDefinition_PrivilegedElementDefinitions

    EReference getDatabaseVendorDefinition_PrivilegedElementDefinitions()

  Returns the meta object for the containment reference list '`Privileged Element Definitions`'.

  Returns:
    the meta object for the containment reference list 'Privileged Element Definitions'.
  See Also:
    `DatabaseVendorDefinition.getPrivilegedElementDefinitions()`, `getDatabaseVendorDefinition()`

### getPredefinedDataTypeDefinition

    EClass getPredefinedDataTypeDefinition()

  Returns the meta object for class '`Predefined Data Type Definition`'.

  Returns:
    the meta object for class 'Predefined Data Type Definition'.
  See Also:
    `PredefinedDataTypeDefinition`

### getPredefinedDataTypeDefinition_LeadingFieldQualifierDefinition

    EReference getPredefinedDataTypeDefinition_LeadingFieldQualifierDefinition()

  Returns the meta object for the containment reference list '`Leading Field Qualifier Definition`'.

  Returns:
    the meta object for the containment reference list 'Leading Field Qualifier Definition'.
  See Also:
    `PredefinedDataTypeDefinition.getLeadingFieldQualifierDefinition()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_TrailingFieldQualifierDefinition

    EReference getPredefinedDataTypeDefinition_TrailingFieldQualifierDefinition()

  Returns the meta object for the containment reference list '`Trailing Field Qualifier Definition`'.

  Returns:
    the meta object for the containment reference list 'Trailing Field Qualifier Definition'.
  See Also:
    `PredefinedDataTypeDefinition.getTrailingFieldQualifierDefinition()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultTrailingFieldQualifierDefinition

    EReference getPredefinedDataTypeDefinition_DefaultTrailingFieldQualifierDefinition()

  Returns the meta object for the reference '`Default Trailing Field Qualifier Definition`'.

  Returns:
    the meta object for the reference 'Default Trailing Field Qualifier Definition'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultTrailingFieldQualifierDefinition()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultLeadingFieldQualifierDefinition

    EReference getPredefinedDataTypeDefinition_DefaultLeadingFieldQualifierDefinition()

  Returns the meta object for the reference '`Default Leading Field Qualifier Definition`'.

  Returns:
    the meta object for the reference 'Default Leading Field Qualifier Definition'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultLeadingFieldQualifierDefinition()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LengthSupported

    EAttribute getPredefinedDataTypeDefinition_LengthSupported()

  Returns the meta object for the attribute '`Length Supported`'.

  Returns:
    the meta object for the attribute 'Length Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isLengthSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_ScaleSupported

    EAttribute getPredefinedDataTypeDefinition_ScaleSupported()

  Returns the meta object for the attribute '`Scale Supported`'.

  Returns:
    the meta object for the attribute 'Scale Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isScaleSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_PrecisionSupported

    EAttribute getPredefinedDataTypeDefinition_PrecisionSupported()

  Returns the meta object for the attribute '`Precision Supported`'.

  Returns:
    the meta object for the attribute 'Precision Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isPrecisionSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_KeyConstraintSupported

    EAttribute getPredefinedDataTypeDefinition_KeyConstraintSupported()

  Returns the meta object for the attribute '`Key Constraint Supported`'.

  Returns:
    the meta object for the attribute 'Key Constraint Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isKeyConstraintSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_IdentitySupported

    EAttribute getPredefinedDataTypeDefinition_IdentitySupported()

  Returns the meta object for the attribute '`Identity Supported`'.

  Returns:
    the meta object for the attribute 'Identity Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isIdentitySupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MultipleColumnsSupported

    EAttribute getPredefinedDataTypeDefinition_MultipleColumnsSupported()

  Returns the meta object for the attribute '`Multiple Columns Supported`'.

  Returns:
    the meta object for the attribute 'Multiple Columns Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isMultipleColumnsSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_NullableSupported

    EAttribute getPredefinedDataTypeDefinition_NullableSupported()

  Returns the meta object for the attribute '`Nullable Supported`'.

  Returns:
    the meta object for the attribute 'Nullable Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isNullableSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultSupported

    EAttribute getPredefinedDataTypeDefinition_DefaultSupported()

  Returns the meta object for the attribute '`Default Supported`'.

  Returns:
    the meta object for the attribute 'Default Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isDefaultSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_ClusteringSupported

    EAttribute getPredefinedDataTypeDefinition_ClusteringSupported()

  Returns the meta object for the attribute '`Clustering Supported`'.

  Returns:
    the meta object for the attribute 'Clustering Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isClusteringSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_FillFactorSupported

    EAttribute getPredefinedDataTypeDefinition_FillFactorSupported()

  Returns the meta object for the attribute '`Fill Factor Supported`'.

  Returns:
    the meta object for the attribute 'Fill Factor Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isFillFactorSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_BitDataSupported

    EAttribute getPredefinedDataTypeDefinition_BitDataSupported()

  Returns the meta object for the attribute '`Bit Data Supported`'.

  Returns:
    the meta object for the attribute 'Bit Data Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isBitDataSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MaximumValue

    EAttribute getPredefinedDataTypeDefinition_MaximumValue()

  Returns the meta object for the attribute '`Maximum Value`'.

  Returns:
    the meta object for the attribute 'Maximum Value'.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumValue()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MinimumValue

    EAttribute getPredefinedDataTypeDefinition_MinimumValue()

  Returns the meta object for the attribute '`Minimum Value`'.

  Returns:
    the meta object for the attribute 'Minimum Value'.
  See Also:
    `PredefinedDataTypeDefinition.getMinimumValue()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MaximumLength

    EAttribute getPredefinedDataTypeDefinition_MaximumLength()

  Returns the meta object for the attribute '`Maximum Length`'.

  Returns:
    the meta object for the attribute 'Maximum Length'.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumLength()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MaximumPrecision

    EAttribute getPredefinedDataTypeDefinition_MaximumPrecision()

  Returns the meta object for the attribute '`Maximum Precision`'.

  Returns:
    the meta object for the attribute 'Maximum Precision'.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumPrecision()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MaximumScale

    EAttribute getPredefinedDataTypeDefinition_MaximumScale()

  Returns the meta object for the attribute '`Maximum Scale`'.

  Returns:
    the meta object for the attribute 'Maximum Scale'.
  See Also:
    `PredefinedDataTypeDefinition.getMaximumScale()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_MinimumScale

    EAttribute getPredefinedDataTypeDefinition_MinimumScale()

  Returns the meta object for the attribute '`Minimum Scale`'.

  Returns:
    the meta object for the attribute 'Minimum Scale'.
  See Also:
    `PredefinedDataTypeDefinition.getMinimumScale()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultValueTypes

    EAttribute getPredefinedDataTypeDefinition_DefaultValueTypes()

  Returns the meta object for the attribute list '`Default Value Types`'.

  Returns:
    the meta object for the attribute list 'Default Value Types'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultValueTypes()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_PrimitiveType

    EAttribute getPredefinedDataTypeDefinition_PrimitiveType()

  Returns the meta object for the attribute '`Primitive Type`'.

  Returns:
    the meta object for the attribute 'Primitive Type'.
  See Also:
    `PredefinedDataTypeDefinition.getPrimitiveType()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_Name

    EAttribute getPredefinedDataTypeDefinition_Name()

  Returns the meta object for the attribute list '`Name`'.

  Returns:
    the meta object for the attribute list 'Name'.
  See Also:
    `PredefinedDataTypeDefinition.getName()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_JdbcEnumType

    EAttribute getPredefinedDataTypeDefinition_JdbcEnumType()

  Returns the meta object for the attribute '`Jdbc Enum Type`'.

  Returns:
    the meta object for the attribute 'Jdbc Enum Type'.
  See Also:
    `PredefinedDataTypeDefinition.getJdbcEnumType()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_CharacterSet

    EAttribute getPredefinedDataTypeDefinition_CharacterSet()

  Returns the meta object for the attribute list '`Character Set`'.

  Returns:
    the meta object for the attribute list 'Character Set'.
  See Also:
    `PredefinedDataTypeDefinition.getCharacterSet()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_EncodingScheme

    EAttribute getPredefinedDataTypeDefinition_EncodingScheme()

  Returns the meta object for the attribute list '`Encoding Scheme`'.

  Returns:
    the meta object for the attribute list 'Encoding Scheme'.
  See Also:
    `PredefinedDataTypeDefinition.getEncodingScheme()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_CharacterSetSuffix

    EAttribute getPredefinedDataTypeDefinition_CharacterSetSuffix()

  Returns the meta object for the attribute '`Character Set Suffix`'.

  Returns:
    the meta object for the attribute 'Character Set Suffix'.
  See Also:
    `PredefinedDataTypeDefinition.getCharacterSetSuffix()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_EncodingSchemeSuffix

    EAttribute getPredefinedDataTypeDefinition_EncodingSchemeSuffix()

  Returns the meta object for the attribute '`Encoding Scheme Suffix`'.

  Returns:
    the meta object for the attribute 'Encoding Scheme Suffix'.
  See Also:
    `PredefinedDataTypeDefinition.getEncodingSchemeSuffix()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_JavaClassName

    EAttribute getPredefinedDataTypeDefinition_JavaClassName()

  Returns the meta object for the attribute '`Java Class Name`'.

  Returns:
    the meta object for the attribute 'Java Class Name'.
  See Also:
    `PredefinedDataTypeDefinition.getJavaClassName()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultLength

    EAttribute getPredefinedDataTypeDefinition_DefaultLength()

  Returns the meta object for the attribute '`Default Length`'.

  Returns:
    the meta object for the attribute 'Default Length'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultLength()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultPrecision

    EAttribute getPredefinedDataTypeDefinition_DefaultPrecision()

  Returns the meta object for the attribute '`Default Precision`'.

  Returns:
    the meta object for the attribute 'Default Precision'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultPrecision()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DefaultScale

    EAttribute getPredefinedDataTypeDefinition_DefaultScale()

  Returns the meta object for the attribute '`Default Scale`'.

  Returns:
    the meta object for the attribute 'Default Scale'.
  See Also:
    `PredefinedDataTypeDefinition.getDefaultScale()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_CutoffPrecision

    EAttribute getPredefinedDataTypeDefinition_CutoffPrecision()

  Returns the meta object for the attribute '`Cutoff Precision`'.

  Returns:
    the meta object for the attribute 'Cutoff Precision'.
  See Also:
    `PredefinedDataTypeDefinition.getCutoffPrecision()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LengthUnit

    EAttribute getPredefinedDataTypeDefinition_LengthUnit()

  Returns the meta object for the attribute '`Length Unit`'.

  Returns:
    the meta object for the attribute 'Length Unit'.
  See Also:
    `PredefinedDataTypeDefinition.getLengthUnit()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_OrderingSupported

    EAttribute getPredefinedDataTypeDefinition_OrderingSupported()

  Returns the meta object for the attribute '`Ordering Supported`'.

  Returns:
    the meta object for the attribute 'Ordering Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isOrderingSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_GroupingSupported

    EAttribute getPredefinedDataTypeDefinition_GroupingSupported()

  Returns the meta object for the attribute '`Grouping Supported`'.

  Returns:
    the meta object for the attribute 'Grouping Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isGroupingSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DisplayName

    EAttribute getPredefinedDataTypeDefinition_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `PredefinedDataTypeDefinition.getDisplayName()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_DisplayNameSupported

    EAttribute getPredefinedDataTypeDefinition_DisplayNameSupported()

  Returns the meta object for the attribute '`Display Name Supported`'.

  Returns:
    the meta object for the attribute 'Display Name Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isDisplayNameSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LeadingFieldQualifierSupported

    EAttribute getPredefinedDataTypeDefinition_LeadingFieldQualifierSupported()

  Returns the meta object for the attribute '`Leading Field Qualifier Supported`'.

  Returns:
    the meta object for the attribute 'Leading Field Qualifier Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isLeadingFieldQualifierSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_TrailingFieldQualifierSupported

    EAttribute getPredefinedDataTypeDefinition_TrailingFieldQualifierSupported()

  Returns the meta object for the attribute '`Trailing Field Qualifier Supported`'.

  Returns:
    the meta object for the attribute 'Trailing Field Qualifier Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isTrailingFieldQualifierSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_FieldQualifierSeparator

    EAttribute getPredefinedDataTypeDefinition_FieldQualifierSeparator()

  Returns the meta object for the attribute '`Field Qualifier Separator`'.

  Returns:
    the meta object for the attribute 'Field Qualifier Separator'.
  See Also:
    `PredefinedDataTypeDefinition.getFieldQualifierSeparator()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LargeValueSpecifierSupported

    EAttribute getPredefinedDataTypeDefinition_LargeValueSpecifierSupported()

  Returns the meta object for the attribute '`Large Value Specifier Supported`'.

  Returns:
    the meta object for the attribute 'Large Value Specifier Supported'.
  See Also:
    `PredefinedDataTypeDefinition.isLargeValueSpecifierSupported()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LargeValueSpecifierName

    EAttribute getPredefinedDataTypeDefinition_LargeValueSpecifierName()

  Returns the meta object for the attribute '`Large Value Specifier Name`'.

  Returns:
    the meta object for the attribute 'Large Value Specifier Name'.
  See Also:
    `PredefinedDataTypeDefinition.getLargeValueSpecifierName()`, `getPredefinedDataTypeDefinition()`

### getPredefinedDataTypeDefinition_LargeValueSpecifierLength

    EAttribute getPredefinedDataTypeDefinition_LargeValueSpecifierLength()

  Returns the meta object for the attribute '`Large Value Specifier Length`'.

  Returns:
    the meta object for the attribute 'Large Value Specifier Length'.
  See Also:
    `PredefinedDataTypeDefinition.getLargeValueSpecifierLength()`, `getPredefinedDataTypeDefinition()`

### getTableSpaceDefinition

    EClass getTableSpaceDefinition()

  Returns the meta object for class '`Table Space Definition`'.

  Returns:
    the meta object for class 'Table Space Definition'.
  See Also:
    `TableSpaceDefinition`

### getTableSpaceDefinition_TypeSupported

    EAttribute getTableSpaceDefinition_TypeSupported()

  Returns the meta object for the attribute '`Type Supported`'.

  Returns:
    the meta object for the attribute 'Type Supported'.
  See Also:
    `TableSpaceDefinition.isTypeSupported()`, `getTableSpaceDefinition()`

### getTableSpaceDefinition_ExtentSizeSupported

    EAttribute getTableSpaceDefinition_ExtentSizeSupported()

  Returns the meta object for the attribute '`Extent Size Supported`'.

  Returns:
    the meta object for the attribute 'Extent Size Supported'.
  See Also:
    `TableSpaceDefinition.isExtentSizeSupported()`, `getTableSpaceDefinition()`

### getTableSpaceDefinition_PrefetchSizeSupported

    EAttribute getTableSpaceDefinition_PrefetchSizeSupported()

  Returns the meta object for the attribute '`Prefetch Size Supported`'.

  Returns:
    the meta object for the attribute 'Prefetch Size Supported'.
  See Also:
    `TableSpaceDefinition.isPrefetchSizeSupported()`, `getTableSpaceDefinition()`

### getTableSpaceDefinition_ManagedBySupported

    EAttribute getTableSpaceDefinition_ManagedBySupported()

  Returns the meta object for the attribute '`Managed By Supported`'.

  Returns:
    the meta object for the attribute 'Managed By Supported'.
  See Also:
    `TableSpaceDefinition.isManagedBySupported()`, `getTableSpaceDefinition()`

### getTableSpaceDefinition_PageSizeSupported

    EAttribute getTableSpaceDefinition_PageSizeSupported()

  Returns the meta object for the attribute '`Page Size Supported`'.

  Returns:
    the meta object for the attribute 'Page Size Supported'.
  See Also:
    `TableSpaceDefinition.isPageSizeSupported()`, `getTableSpaceDefinition()`

### getTableSpaceDefinition_BufferPoolSupported

    EAttribute getTableSpaceDefinition_BufferPoolSupported()

  Returns the meta object for the attribute '`Buffer Pool Supported`'.

  Returns:
    the meta object for the attribute 'Buffer Pool Supported'.
  See Also:
    `TableSpaceDefinition.isBufferPoolSupported()`, `getTableSpaceDefinition()`

### getTableSpaceDefinition_DefaultSupported

    EAttribute getTableSpaceDefinition_DefaultSupported()

  Returns the meta object for the attribute '`Default Supported`'.

  Returns:
    the meta object for the attribute 'Default Supported'.
  See Also:
    `TableSpaceDefinition.isDefaultSupported()`, `getTableSpaceDefinition()`

### getTableSpaceDefinition_ContainerMaximumSizeSupported

    EAttribute getTableSpaceDefinition_ContainerMaximumSizeSupported()

  Returns the meta object for the attribute '`Container Maximum Size Supported`'.

  Returns:
    the meta object for the attribute 'Container Maximum Size Supported'.
  See Also:
    `TableSpaceDefinition.isContainerMaximumSizeSupported()`, `getTableSpaceDefinition()`

### getTableSpaceDefinition_ContainerInitialSizeSupported

    EAttribute getTableSpaceDefinition_ContainerInitialSizeSupported()

  Returns the meta object for the attribute '`Container Initial Size Supported`'.

  Returns:
    the meta object for the attribute 'Container Initial Size Supported'.
  See Also:
    `TableSpaceDefinition.isContainerInitialSizeSupported()`, `getTableSpaceDefinition()`

### getTableSpaceDefinition_ContainerExtentSizeSupported

    EAttribute getTableSpaceDefinition_ContainerExtentSizeSupported()

  Returns the meta object for the attribute '`Container Extent Size Supported`'.

  Returns:
    the meta object for the attribute 'Container Extent Size Supported'.
  See Also:
    `TableSpaceDefinition.isContainerExtentSizeSupported()`, `getTableSpaceDefinition()`

### getTableSpaceDefinition_TableSpaceType

    EAttribute getTableSpaceDefinition_TableSpaceType()

  Returns the meta object for the attribute list '`Table Space Type`'.

  Returns:
    the meta object for the attribute list 'Table Space Type'.
  See Also:
    `TableSpaceDefinition.getTableSpaceType()`, `getTableSpaceDefinition()`

### getTableSpaceDefinition_MaximumIdentifierLength

    EAttribute getTableSpaceDefinition_MaximumIdentifierLength()

  Returns the meta object for the attribute '`Maximum Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `TableSpaceDefinition.getMaximumIdentifierLength()`, `getTableSpaceDefinition()`

### getStoredProcedureDefinition

    EClass getStoredProcedureDefinition()

  Returns the meta object for class '`Stored Procedure Definition`'.

  Returns:
    the meta object for class 'Stored Procedure Definition'.
  See Also:
    `StoredProcedureDefinition`

### getStoredProcedureDefinition_NullInputActionSupported

    EAttribute getStoredProcedureDefinition_NullInputActionSupported()

  Returns the meta object for the attribute '`Null Input Action Supported`'.

  Returns:
    the meta object for the attribute 'Null Input Action Supported'.
  See Also:
    `StoredProcedureDefinition.isNullInputActionSupported()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_PackageGenerationSupported

    EAttribute getStoredProcedureDefinition_PackageGenerationSupported()

  Returns the meta object for the attribute '`Package Generation Supported`'.

  Returns:
    the meta object for the attribute 'Package Generation Supported'.
  See Also:
    `StoredProcedureDefinition.isPackageGenerationSupported()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_DetermininsticSupported

    EAttribute getStoredProcedureDefinition_DetermininsticSupported()

  Returns the meta object for the attribute '`Determininstic Supported`'.

  Returns:
    the meta object for the attribute 'Determininstic Supported'.
  See Also:
    `StoredProcedureDefinition.isDetermininsticSupported()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ReturnedNullSupported

    EAttribute getStoredProcedureDefinition_ReturnedNullSupported()

  Returns the meta object for the attribute '`Returned Null Supported`'.

  Returns:
    the meta object for the attribute 'Returned Null Supported'.
  See Also:
    `StoredProcedureDefinition.isReturnedNullSupported()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ReturnedTypeDeclarationConstraintSupported

    EAttribute getStoredProcedureDefinition_ReturnedTypeDeclarationConstraintSupported()

  Returns the meta object for the attribute '`Returned Type Declaration Constraint Supported`'.

  Returns:
    the meta object for the attribute 'Returned Type Declaration Constraint Supported'.
  See Also:
    `StoredProcedureDefinition.isReturnedTypeDeclarationConstraintSupported()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ParameterInitValueSupported

    EAttribute getStoredProcedureDefinition_ParameterInitValueSupported()

  Returns the meta object for the attribute '`Parameter Init Value Supported`'.

  Returns:
    the meta object for the attribute 'Parameter Init Value Supported'.
  See Also:
    `StoredProcedureDefinition.isParameterInitValueSupported()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ParameterStyleSupported

    EAttribute getStoredProcedureDefinition_ParameterStyleSupported()

  Returns the meta object for the attribute '`Parameter Style Supported`'.

  Returns:
    the meta object for the attribute 'Parameter Style Supported'.
  See Also:
    `StoredProcedureDefinition.isParameterStyleSupported()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ReturnTypeSupported

    EAttribute getStoredProcedureDefinition_ReturnTypeSupported()

  Returns the meta object for the attribute '`Return Type Supported`'.

  Returns:
    the meta object for the attribute 'Return Type Supported'.
  See Also:
    `StoredProcedureDefinition.isReturnTypeSupported()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ParameterDeclarationConstraintSupported

    EAttribute getStoredProcedureDefinition_ParameterDeclarationConstraintSupported()

  Returns the meta object for the attribute '`Parameter Declaration Constraint Supported`'.

  Returns:
    the meta object for the attribute 'Parameter Declaration Constraint Supported'.
  See Also:
    `StoredProcedureDefinition.isParameterDeclarationConstraintSupported()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_MaximumActionBodyLength

    EAttribute getStoredProcedureDefinition_MaximumActionBodyLength()

  Returns the meta object for the attribute '`Maximum Action Body Length`'.

  Returns:
    the meta object for the attribute 'Maximum Action Body Length'.
  See Also:
    `StoredProcedureDefinition.getMaximumActionBodyLength()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ParameterStyle

    EAttribute getStoredProcedureDefinition_ParameterStyle()

  Returns the meta object for the attribute list '`Parameter Style`'.

  Returns:
    the meta object for the attribute list 'Parameter Style'.
  See Also:
    `StoredProcedureDefinition.getParameterStyle()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_LanguageType

    EAttribute getStoredProcedureDefinition_LanguageType()

  Returns the meta object for the attribute list '`Language Type`'.

  Returns:
    the meta object for the attribute list 'Language Type'.
  See Also:
    `StoredProcedureDefinition.getLanguageType()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_FunctionLanguageType

    EAttribute getStoredProcedureDefinition_FunctionLanguageType()

  Returns the meta object for the attribute list '`Function Language Type`'.

  Returns:
    the meta object for the attribute list 'Function Language Type'.
  See Also:
    `StoredProcedureDefinition.getFunctionLanguageType()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_ProcedureType

    EAttribute getStoredProcedureDefinition_ProcedureType()

  Returns the meta object for the attribute list '`Procedure Type`'.

  Returns:
    the meta object for the attribute list 'Procedure Type'.
  See Also:
    `StoredProcedureDefinition.getProcedureType()`, `getStoredProcedureDefinition()`

### getStoredProcedureDefinition_MaximumIdentifierLength

    EAttribute getStoredProcedureDefinition_MaximumIdentifierLength()

  Returns the meta object for the attribute '`Maximum Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `StoredProcedureDefinition.getMaximumIdentifierLength()`, `getStoredProcedureDefinition()`

### getTriggerDefinition

    EClass getTriggerDefinition()

  Returns the meta object for class '`Trigger Definition`'.

  Returns:
    the meta object for class 'Trigger Definition'.
  See Also:
    `TriggerDefinition`

### getTriggerDefinition_MaximumReferencePartLength

    EAttribute getTriggerDefinition_MaximumReferencePartLength()

  Returns the meta object for the attribute '`Maximum Reference Part Length`'.

  Returns:
    the meta object for the attribute 'Maximum Reference Part Length'.
  See Also:
    `TriggerDefinition.getMaximumReferencePartLength()`, `getTriggerDefinition()`

### getTriggerDefinition_MaximumActionBodyLength

    EAttribute getTriggerDefinition_MaximumActionBodyLength()

  Returns the meta object for the attribute '`Maximum Action Body Length`'.

  Returns:
    the meta object for the attribute 'Maximum Action Body Length'.
  See Also:
    `TriggerDefinition.getMaximumActionBodyLength()`, `getTriggerDefinition()`

### getTriggerDefinition_TypeSupported

    EAttribute getTriggerDefinition_TypeSupported()

  Returns the meta object for the attribute '`Type Supported`'.

  Returns:
    the meta object for the attribute 'Type Supported'.
  See Also:
    `TriggerDefinition.isTypeSupported()`, `getTriggerDefinition()`

### getTriggerDefinition_WhenClauseSupported

    EAttribute getTriggerDefinition_WhenClauseSupported()

  Returns the meta object for the attribute '`When Clause Supported`'.

  Returns:
    the meta object for the attribute 'When Clause Supported'.
  See Also:
    `TriggerDefinition.isWhenClauseSupported()`, `getTriggerDefinition()`

### getTriggerDefinition_GranularitySupported

    EAttribute getTriggerDefinition_GranularitySupported()

  Returns the meta object for the attribute '`Granularity Supported`'.

  Returns:
    the meta object for the attribute 'Granularity Supported'.
  See Also:
    `TriggerDefinition.isGranularitySupported()`, `getTriggerDefinition()`

### getTriggerDefinition_ReferencesClauseSupported

    EAttribute getTriggerDefinition_ReferencesClauseSupported()

  Returns the meta object for the attribute '`References Clause Supported`'.

  Returns:
    the meta object for the attribute 'References Clause Supported'.
  See Also:
    `TriggerDefinition.isReferencesClauseSupported()`, `getTriggerDefinition()`

### getTriggerDefinition_PerColumnUpdateTriggerSupported

    EAttribute getTriggerDefinition_PerColumnUpdateTriggerSupported()

  Returns the meta object for the attribute '`Per Column Update Trigger Supported`'.

  Returns:
    the meta object for the attribute 'Per Column Update Trigger Supported'.
  See Also:
    `TriggerDefinition.isPerColumnUpdateTriggerSupported()`, `getTriggerDefinition()`

### getTriggerDefinition_InsteadOfTriggerSupported

    EAttribute getTriggerDefinition_InsteadOfTriggerSupported()

  Returns the meta object for the attribute '`Instead Of Trigger Supported`'.

  Returns:
    the meta object for the attribute 'Instead Of Trigger Supported'.
  See Also:
    `TriggerDefinition.isInsteadOfTriggerSupported()`, `getTriggerDefinition()`

### getTriggerDefinition_RowTriggerReferenceSupported

    EAttribute getTriggerDefinition_RowTriggerReferenceSupported()

  Returns the meta object for the attribute '`Row Trigger Reference Supported`'.

  Returns:
    the meta object for the attribute 'Row Trigger Reference Supported'.
  See Also:
    `TriggerDefinition.isRowTriggerReferenceSupported()`, `getTriggerDefinition()`

### getTriggerDefinition_TableTriggerReferenceSupported

    EAttribute getTriggerDefinition_TableTriggerReferenceSupported()

  Returns the meta object for the attribute '`Table Trigger Reference Supported`'.

  Returns:
    the meta object for the attribute 'Table Trigger Reference Supported'.
  See Also:
    `TriggerDefinition.isTableTriggerReferenceSupported()`, `getTriggerDefinition()`

### getTriggerDefinition_MaximumIdentifierLength

    EAttribute getTriggerDefinition_MaximumIdentifierLength()

  Returns the meta object for the attribute '`Maximum Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `TriggerDefinition.getMaximumIdentifierLength()`, `getTriggerDefinition()`

### getColumnDefinition

    EClass getColumnDefinition()

  Returns the meta object for class '`Column Definition`'.

  Returns:
    the meta object for class 'Column Definition'.
  See Also:
    `ColumnDefinition`

### getColumnDefinition_IdentityColumnDataTypeDefinitions

    EReference getColumnDefinition_IdentityColumnDataTypeDefinitions()

  Returns the meta object for the reference list '`Identity Column Data Type Definitions`'.

  Returns:
    the meta object for the reference list 'Identity Column Data Type Definitions'.
  See Also:
    `ColumnDefinition.getIdentityColumnDataTypeDefinitions()`, `getColumnDefinition()`

### getColumnDefinition_IdentitySupported

    EAttribute getColumnDefinition_IdentitySupported()

  Returns the meta object for the attribute '`Identity Supported`'.

  Returns:
    the meta object for the attribute 'Identity Supported'.
  See Also:
    `ColumnDefinition.isIdentitySupported()`, `getColumnDefinition()`

### getColumnDefinition_ComputedSupported

    EAttribute getColumnDefinition_ComputedSupported()

  Returns the meta object for the attribute '`Computed Supported`'.

  Returns:
    the meta object for the attribute 'Computed Supported'.
  See Also:
    `ColumnDefinition.isComputedSupported()`, `getColumnDefinition()`

### getColumnDefinition_IdentityStartValueSupported

    EAttribute getColumnDefinition_IdentityStartValueSupported()

  Returns the meta object for the attribute '`Identity Start Value Supported`'.

  Returns:
    the meta object for the attribute 'Identity Start Value Supported'.
  See Also:
    `ColumnDefinition.isIdentityStartValueSupported()`, `getColumnDefinition()`

### getColumnDefinition_IdentityIncrementSupported

    EAttribute getColumnDefinition_IdentityIncrementSupported()

  Returns the meta object for the attribute '`Identity Increment Supported`'.

  Returns:
    the meta object for the attribute 'Identity Increment Supported'.
  See Also:
    `ColumnDefinition.isIdentityIncrementSupported()`, `getColumnDefinition()`

### getColumnDefinition_IdentityMinimumSupported

    EAttribute getColumnDefinition_IdentityMinimumSupported()

  Returns the meta object for the attribute '`Identity Minimum Supported`'.

  Returns:
    the meta object for the attribute 'Identity Minimum Supported'.
  See Also:
    `ColumnDefinition.isIdentityMinimumSupported()`, `getColumnDefinition()`

### getColumnDefinition_IdentityMaximumSupported

    EAttribute getColumnDefinition_IdentityMaximumSupported()

  Returns the meta object for the attribute '`Identity Maximum Supported`'.

  Returns:
    the meta object for the attribute 'Identity Maximum Supported'.
  See Also:
    `ColumnDefinition.isIdentityMaximumSupported()`, `getColumnDefinition()`

### getColumnDefinition_IdentityCycleSupported

    EAttribute getColumnDefinition_IdentityCycleSupported()

  Returns the meta object for the attribute '`Identity Cycle Supported`'.

  Returns:
    the meta object for the attribute 'Identity Cycle Supported'.
  See Also:
    `ColumnDefinition.isIdentityCycleSupported()`, `getColumnDefinition()`

### getColumnDefinition_MaximumIdentifierLength

    EAttribute getColumnDefinition_MaximumIdentifierLength()

  Returns the meta object for the attribute '`Maximum Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `ColumnDefinition.getMaximumIdentifierLength()`, `getColumnDefinition()`

### getConstraintDefinition

    EClass getConstraintDefinition()

  Returns the meta object for class '`Constraint Definition`'.

  Returns:
    the meta object for class 'Constraint Definition'.
  See Also:
    `ConstraintDefinition`

### getConstraintDefinition_DeferrableConstraintSupported

    EAttribute getConstraintDefinition_DeferrableConstraintSupported()

  Returns the meta object for the attribute '`Deferrable Constraint Supported`'.

  Returns:
    the meta object for the attribute 'Deferrable Constraint Supported'.
  See Also:
    `ConstraintDefinition.isDeferrableConstraintSupported()`, `getConstraintDefinition()`

### getConstraintDefinition_InformationalConstraintSupported

    EAttribute getConstraintDefinition_InformationalConstraintSupported()

  Returns the meta object for the attribute '`Informational Constraint Supported`'.

  Returns:
    the meta object for the attribute 'Informational Constraint Supported'.
  See Also:
    `ConstraintDefinition.isInformationalConstraintSupported()`, `getConstraintDefinition()`

### getConstraintDefinition_ClusteredPrimaryKeySupported

    EAttribute getConstraintDefinition_ClusteredPrimaryKeySupported()

  Returns the meta object for the attribute '`Clustered Primary Key Supported`'.

  Returns:
    the meta object for the attribute 'Clustered Primary Key Supported'.
  See Also:
    `ConstraintDefinition.isClusteredPrimaryKeySupported()`, `getConstraintDefinition()`

### getConstraintDefinition_ClusteredUniqueConstraintSupported

    EAttribute getConstraintDefinition_ClusteredUniqueConstraintSupported()

  Returns the meta object for the attribute '`Clustered Unique Constraint Supported`'.

  Returns:
    the meta object for the attribute 'Clustered Unique Constraint Supported'.
  See Also:
    `ConstraintDefinition.isClusteredUniqueConstraintSupported()`, `getConstraintDefinition()`

### getConstraintDefinition_PrimaryKeyNullable

    EAttribute getConstraintDefinition_PrimaryKeyNullable()

  Returns the meta object for the attribute '`Primary Key Nullable`'.

  Returns:
    the meta object for the attribute 'Primary Key Nullable'.
  See Also:
    `ConstraintDefinition.isPrimaryKeyNullable()`, `getConstraintDefinition()`

### getConstraintDefinition_UniqueKeyNullable

    EAttribute getConstraintDefinition_UniqueKeyNullable()

  Returns the meta object for the attribute '`Unique Key Nullable`'.

  Returns:
    the meta object for the attribute 'Unique Key Nullable'.
  See Also:
    `ConstraintDefinition.isUniqueKeyNullable()`, `getConstraintDefinition()`

### getConstraintDefinition_MaximumCheckExpressionLength

    EAttribute getConstraintDefinition_MaximumCheckExpressionLength()

  Returns the meta object for the attribute '`Maximum Check Expression Length`'.

  Returns:
    the meta object for the attribute 'Maximum Check Expression Length'.
  See Also:
    `ConstraintDefinition.getMaximumCheckExpressionLength()`, `getConstraintDefinition()`

### getConstraintDefinition_ParentUpdateDRIRuleType

    EAttribute getConstraintDefinition_ParentUpdateDRIRuleType()

  Returns the meta object for the attribute list '`Parent Update DRI Rule Type`'.

  Returns:
    the meta object for the attribute list 'Parent Update DRI Rule Type'.
  See Also:
    `ConstraintDefinition.getParentUpdateDRIRuleType()`, `getConstraintDefinition()`

### getConstraintDefinition_ParentDeleteDRIRuleType

    EAttribute getConstraintDefinition_ParentDeleteDRIRuleType()

  Returns the meta object for the attribute list '`Parent Delete DRI Rule Type`'.

  Returns:
    the meta object for the attribute list 'Parent Delete DRI Rule Type'.
  See Also:
    `ConstraintDefinition.getParentDeleteDRIRuleType()`, `getConstraintDefinition()`

### getConstraintDefinition_CheckOption

    EAttribute getConstraintDefinition_CheckOption()

  Returns the meta object for the attribute list '`Check Option`'.

  Returns:
    the meta object for the attribute list 'Check Option'.
  See Also:
    `ConstraintDefinition.getCheckOption()`, `getConstraintDefinition()`

### getConstraintDefinition_MaximumPrimaryKeyIdentifierLength

    EAttribute getConstraintDefinition_MaximumPrimaryKeyIdentifierLength()

  Returns the meta object for the attribute '`Maximum Primary Key Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Primary Key Identifier Length'.
  See Also:
    `ConstraintDefinition.getMaximumPrimaryKeyIdentifierLength()`, `getConstraintDefinition()`

### getConstraintDefinition_MaximumForeignKeyIdentifierLength

    EAttribute getConstraintDefinition_MaximumForeignKeyIdentifierLength()

  Returns the meta object for the attribute '`Maximum Foreign Key Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Foreign Key Identifier Length'.
  See Also:
    `ConstraintDefinition.getMaximumForeignKeyIdentifierLength()`, `getConstraintDefinition()`

### getConstraintDefinition_MaximumCheckConstraintIdentifierLength

    EAttribute getConstraintDefinition_MaximumCheckConstraintIdentifierLength()

  Returns the meta object for the attribute '`Maximum Check Constraint Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Check Constraint Identifier Length'.
  See Also:
    `ConstraintDefinition.getMaximumCheckConstraintIdentifierLength()`, `getConstraintDefinition()`

### getIndexDefinition

    EClass getIndexDefinition()

  Returns the meta object for class '`Index Definition`'.

  Returns:
    the meta object for class 'Index Definition'.
  See Also:
    `IndexDefinition`

### getIndexDefinition_PercentFreeTerminology

    EAttribute getIndexDefinition_PercentFreeTerminology()

  Returns the meta object for the attribute '`Percent Free Terminology`'.

  Returns:
    the meta object for the attribute 'Percent Free Terminology'.
  See Also:
    `IndexDefinition.getPercentFreeTerminology()`, `getIndexDefinition()`

### getIndexDefinition_PercentFreeChangeable

    EAttribute getIndexDefinition_PercentFreeChangeable()

  Returns the meta object for the attribute '`Percent Free Changeable`'.

  Returns:
    the meta object for the attribute 'Percent Free Changeable'.
  See Also:
    `IndexDefinition.isPercentFreeChangeable()`, `getIndexDefinition()`

### getIndexDefinition_ClusteringSupported

    EAttribute getIndexDefinition_ClusteringSupported()

  Returns the meta object for the attribute '`Clustering Supported`'.

  Returns:
    the meta object for the attribute 'Clustering Supported'.
  See Also:
    `IndexDefinition.isClusteringSupported()`, `getIndexDefinition()`

### getIndexDefinition_ClusterChangeable

    EAttribute getIndexDefinition_ClusterChangeable()

  Returns the meta object for the attribute '`Cluster Changeable`'.

  Returns:
    the meta object for the attribute 'Cluster Changeable'.
  See Also:
    `IndexDefinition.isClusterChangeable()`, `getIndexDefinition()`

### getIndexDefinition_FillFactorSupported

    EAttribute getIndexDefinition_FillFactorSupported()

  Returns the meta object for the attribute '`Fill Factor Supported`'.

  Returns:
    the meta object for the attribute 'Fill Factor Supported'.
  See Also:
    `IndexDefinition.isFillFactorSupported()`, `getIndexDefinition()`

### getIndexDefinition_IncludedColumnsSupported

    EAttribute getIndexDefinition_IncludedColumnsSupported()

  Returns the meta object for the attribute '`Included Columns Supported`'.

  Returns:
    the meta object for the attribute 'Included Columns Supported'.
  See Also:
    `IndexDefinition.isIncludedColumnsSupported()`, `getIndexDefinition()`

### getIndexDefinition_MaximumIdentifierLength

    EAttribute getIndexDefinition_MaximumIdentifierLength()

  Returns the meta object for the attribute '`Maximum Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `IndexDefinition.getMaximumIdentifierLength()`, `getIndexDefinition()`

### getExtendedDefinition

    EClass getExtendedDefinition()

  Returns the meta object for class '`Extended Definition`'.

  Returns:
    the meta object for class 'Extended Definition'.
  See Also:
    `ExtendedDefinition`

### getExtendedDefinition_Name

    EAttribute getExtendedDefinition_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ExtendedDefinition.getName()`, `getExtendedDefinition()`

### getExtendedDefinition_Value

    EAttribute getExtendedDefinition_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ExtendedDefinition.getValue()`, `getExtendedDefinition()`

### getTableDefinition

    EClass getTableDefinition()

  Returns the meta object for class '`Table Definition`'.

  Returns:
    the meta object for class 'Table Definition'.
  See Also:
    `TableDefinition`

### getTableDefinition_AuditSupported

    EAttribute getTableDefinition_AuditSupported()

  Returns the meta object for the attribute '`Audit Supported`'.

  Returns:
    the meta object for the attribute 'Audit Supported'.
  See Also:
    `TableDefinition.isAuditSupported()`, `getTableDefinition()`

### getTableDefinition_DataCaptureSupported

    EAttribute getTableDefinition_DataCaptureSupported()

  Returns the meta object for the attribute '`Data Capture Supported`'.

  Returns:
    the meta object for the attribute 'Data Capture Supported'.
  See Also:
    `TableDefinition.isDataCaptureSupported()`, `getTableDefinition()`

### getTableDefinition_EditProcSupported

    EAttribute getTableDefinition_EditProcSupported()

  Returns the meta object for the attribute '`Edit Proc Supported`'.

  Returns:
    the meta object for the attribute 'Edit Proc Supported'.
  See Also:
    `TableDefinition.isEditProcSupported()`, `getTableDefinition()`

### getTableDefinition_EncodingSupported

    EAttribute getTableDefinition_EncodingSupported()

  Returns the meta object for the attribute '`Encoding Supported`'.

  Returns:
    the meta object for the attribute 'Encoding Supported'.
  See Also:
    `TableDefinition.isEncodingSupported()`, `getTableDefinition()`

### getTableDefinition_ValidProcSupported

    EAttribute getTableDefinition_ValidProcSupported()

  Returns the meta object for the attribute '`Valid Proc Supported`'.

  Returns:
    the meta object for the attribute 'Valid Proc Supported'.
  See Also:
    `TableDefinition.isValidProcSupported()`, `getTableDefinition()`

### getTableDefinition_MaximumIdentifierLength

    EAttribute getTableDefinition_MaximumIdentifierLength()

  Returns the meta object for the attribute '`Maximum Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `TableDefinition.getMaximumIdentifierLength()`, `getTableDefinition()`

### getSequenceDefinition

    EClass getSequenceDefinition()

  Returns the meta object for class '`Sequence Definition`'.

  Returns:
    the meta object for class 'Sequence Definition'.
  See Also:
    `SequenceDefinition`

### getSequenceDefinition_PredefinedDataTypeDefinitions

    EReference getSequenceDefinition_PredefinedDataTypeDefinitions()

  Returns the meta object for the reference list '`Predefined Data Type Definitions`'.

  Returns:
    the meta object for the reference list 'Predefined Data Type Definitions'.
  See Also:
    `SequenceDefinition.getPredefinedDataTypeDefinitions()`, `getSequenceDefinition()`

### getSequenceDefinition_TypeEnumerationSupported

    EAttribute getSequenceDefinition_TypeEnumerationSupported()

  Returns the meta object for the attribute '`Type Enumeration Supported`'.

  Returns:
    the meta object for the attribute 'Type Enumeration Supported'.
  See Also:
    `SequenceDefinition.isTypeEnumerationSupported()`, `getSequenceDefinition()`

### getSequenceDefinition_CacheSupported

    EAttribute getSequenceDefinition_CacheSupported()

  Returns the meta object for the attribute '`Cache Supported`'.

  Returns:
    the meta object for the attribute 'Cache Supported'.
  See Also:
    `SequenceDefinition.isCacheSupported()`, `getSequenceDefinition()`

### getSequenceDefinition_OrderSupported

    EAttribute getSequenceDefinition_OrderSupported()

  Returns the meta object for the attribute '`Order Supported`'.

  Returns:
    the meta object for the attribute 'Order Supported'.
  See Also:
    `SequenceDefinition.isOrderSupported()`, `getSequenceDefinition()`

### getSequenceDefinition_NoMaximumValueString

    EAttribute getSequenceDefinition_NoMaximumValueString()

  Returns the meta object for the attribute '`No Maximum Value String`'.

  Returns:
    the meta object for the attribute 'No Maximum Value String'.
  See Also:
    `SequenceDefinition.getNoMaximumValueString()`, `getSequenceDefinition()`

### getSequenceDefinition_NoMinimumValueString

    EAttribute getSequenceDefinition_NoMinimumValueString()

  Returns the meta object for the attribute '`No Minimum Value String`'.

  Returns:
    the meta object for the attribute 'No Minimum Value String'.
  See Also:
    `SequenceDefinition.getNoMinimumValueString()`, `getSequenceDefinition()`

### getSequenceDefinition_NoCacheString

    EAttribute getSequenceDefinition_NoCacheString()

  Returns the meta object for the attribute '`No Cache String`'.

  Returns:
    the meta object for the attribute 'No Cache String'.
  See Also:
    `SequenceDefinition.getNoCacheString()`, `getSequenceDefinition()`

### getSequenceDefinition_CacheDefaultValue

    EAttribute getSequenceDefinition_CacheDefaultValue()

  Returns the meta object for the attribute '`Cache Default Value`'.

  Returns:
    the meta object for the attribute 'Cache Default Value'.
  See Also:
    `SequenceDefinition.getCacheDefaultValue()`, `getSequenceDefinition()`

### getUserDefinedTypeDefinition

    EClass getUserDefinedTypeDefinition()

  Returns the meta object for class '`User Defined Type Definition`'.

  Returns:
    the meta object for class 'User Defined Type Definition'.
  See Also:
    `UserDefinedTypeDefinition`

### getUserDefinedTypeDefinition_DefaultValueSupported

    EAttribute getUserDefinedTypeDefinition_DefaultValueSupported()

  Returns the meta object for the attribute '`Default Value Supported`'.

  Returns:
    the meta object for the attribute 'Default Value Supported'.
  See Also:
    `UserDefinedTypeDefinition.isDefaultValueSupported()`, `getUserDefinedTypeDefinition()`

### getUserDefinedTypeDefinition_DistinctTypeSupported

    EAttribute getUserDefinedTypeDefinition_DistinctTypeSupported()

  Returns the meta object for the attribute '`Distinct Type Supported`'.

  Returns:
    the meta object for the attribute 'Distinct Type Supported'.
  See Also:
    `UserDefinedTypeDefinition.isDistinctTypeSupported()`, `getUserDefinedTypeDefinition()`

### getUserDefinedTypeDefinition_StructuredTypeSupported

    EAttribute getUserDefinedTypeDefinition_StructuredTypeSupported()

  Returns the meta object for the attribute '`Structured Type Supported`'.

  Returns:
    the meta object for the attribute 'Structured Type Supported'.
  See Also:
    `UserDefinedTypeDefinition.isStructuredTypeSupported()`, `getUserDefinedTypeDefinition()`

### getUserDefinedTypeDefinition_MaximumIdentifierLength

    EAttribute getUserDefinedTypeDefinition_MaximumIdentifierLength()

  Returns the meta object for the attribute '`Maximum Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `UserDefinedTypeDefinition.getMaximumIdentifierLength()`, `getUserDefinedTypeDefinition()`

### getQueryDefinition

    EClass getQueryDefinition()

  Returns the meta object for class '`Query Definition`'.

  Returns:
    the meta object for class 'Query Definition'.
  See Also:
    `QueryDefinition`

### getQueryDefinition_IdentifierQuoteString

    EAttribute getQueryDefinition_IdentifierQuoteString()

  Returns the meta object for the attribute '`Identifier Quote String`'.

  Returns:
    the meta object for the attribute 'Identifier Quote String'.
  See Also:
    `QueryDefinition.getIdentifierQuoteString()`, `getQueryDefinition()`

### getQueryDefinition_HostVariableMarker

    EAttribute getQueryDefinition_HostVariableMarker()

  Returns the meta object for the attribute '`Host Variable Marker`'.

  Returns:
    the meta object for the attribute 'Host Variable Marker'.
  See Also:
    `QueryDefinition.getHostVariableMarker()`, `getQueryDefinition()`

### getQueryDefinition_HostVariableMarkerSupported

    EAttribute getQueryDefinition_HostVariableMarkerSupported()

  Returns the meta object for the attribute '`Host Variable Marker Supported`'.

  Returns:
    the meta object for the attribute 'Host Variable Marker Supported'.
  See Also:
    `QueryDefinition.isHostVariableMarkerSupported()`, `getQueryDefinition()`

### getQueryDefinition_CastExpressionSupported

    EAttribute getQueryDefinition_CastExpressionSupported()

  Returns the meta object for the attribute '`Cast Expression Supported`'.

  Returns:
    the meta object for the attribute 'Cast Expression Supported'.
  See Also:
    `QueryDefinition.isCastExpressionSupported()`, `getQueryDefinition()`

### getQueryDefinition_DefaultKeywordForInsertValueSupported

    EAttribute getQueryDefinition_DefaultKeywordForInsertValueSupported()

  Returns the meta object for the attribute '`Default Keyword For Insert Value Supported`'.

  Returns:
    the meta object for the attribute 'Default Keyword For Insert Value Supported'.
  See Also:
    `QueryDefinition.isDefaultKeywordForInsertValueSupported()`, `getQueryDefinition()`

### getQueryDefinition_ExtendedGroupingSupported

    EAttribute getQueryDefinition_ExtendedGroupingSupported()

  Returns the meta object for the attribute '`Extended Grouping Supported`'.

  Returns:
    the meta object for the attribute 'Extended Grouping Supported'.
  See Also:
    `QueryDefinition.isExtendedGroupingSupported()`, `getQueryDefinition()`

### getQueryDefinition_TableAliasInDeleteSupported

    EAttribute getQueryDefinition_TableAliasInDeleteSupported()

  Returns the meta object for the attribute '`Table Alias In Delete Supported`'.

  Returns:
    the meta object for the attribute 'Table Alias In Delete Supported'.
  See Also:
    `QueryDefinition.isTableAliasInDeleteSupported()`, `getQueryDefinition()`

### getSQLSyntaxDefinition

    EClass getSQLSyntaxDefinition()

  Returns the meta object for class '`SQL Syntax Definition`'.

  Returns:
    the meta object for class 'SQL Syntax Definition'.
  See Also:
    `SQLSyntaxDefinition`

### getSQLSyntaxDefinition_Keywords

    EAttribute getSQLSyntaxDefinition_Keywords()

  Returns the meta object for the attribute list '`Keywords`'.

  Returns:
    the meta object for the attribute list 'Keywords'.
  See Also:
    `SQLSyntaxDefinition.getKeywords()`, `getSQLSyntaxDefinition()`

### getSQLSyntaxDefinition_Operators

    EAttribute getSQLSyntaxDefinition_Operators()

  Returns the meta object for the attribute list '`Operators`'.

  Returns:
    the meta object for the attribute list 'Operators'.
  See Also:
    `SQLSyntaxDefinition.getOperators()`, `getSQLSyntaxDefinition()`

### getSQLSyntaxDefinition_TerminationCharacter

    EAttribute getSQLSyntaxDefinition_TerminationCharacter()

  Returns the meta object for the attribute '`Termination Character`'.

  Returns:
    the meta object for the attribute 'Termination Character'.
  See Also:
    `SQLSyntaxDefinition.getTerminationCharacter()`, `getSQLSyntaxDefinition()`

### getNicknameDefinition

    EClass getNicknameDefinition()

  Returns the meta object for class '`Nickname Definition`'.

  Returns:
    the meta object for class 'Nickname Definition'.
  See Also:
    `NicknameDefinition`

### getNicknameDefinition_ConstraintSupported

    EAttribute getNicknameDefinition_ConstraintSupported()

  Returns the meta object for the attribute '`Constraint Supported`'.

  Returns:
    the meta object for the attribute 'Constraint Supported'.
  See Also:
    `NicknameDefinition.isConstraintSupported()`, `getNicknameDefinition()`

### getNicknameDefinition_IndexSupported

    EAttribute getNicknameDefinition_IndexSupported()

  Returns the meta object for the attribute '`Index Supported`'.

  Returns:
    the meta object for the attribute 'Index Supported'.
  See Also:
    `NicknameDefinition.isIndexSupported()`, `getNicknameDefinition()`

### getNicknameDefinition_MaximumIdentifierLength

    EAttribute getNicknameDefinition_MaximumIdentifierLength()

  Returns the meta object for the attribute '`Maximum Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `NicknameDefinition.getMaximumIdentifierLength()`, `getNicknameDefinition()`

### getSchemaDefinition

    EClass getSchemaDefinition()

  Returns the meta object for class '`Schema Definition`'.

  Returns:
    the meta object for class 'Schema Definition'.
  See Also:
    `SchemaDefinition`

### getSchemaDefinition_MaximumIdentifierLength

    EAttribute getSchemaDefinition_MaximumIdentifierLength()

  Returns the meta object for the attribute '`Maximum Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `SchemaDefinition.getMaximumIdentifierLength()`, `getSchemaDefinition()`

### getViewDefinition

    EClass getViewDefinition()

  Returns the meta object for class '`View Definition`'.

  Returns:
    the meta object for class 'View Definition'.
  See Also:
    `ViewDefinition`

### getViewDefinition_MaximumIdentifierLength

    EAttribute getViewDefinition_MaximumIdentifierLength()

  Returns the meta object for the attribute '`Maximum Identifier Length`'.

  Returns:
    the meta object for the attribute 'Maximum Identifier Length'.
  See Also:
    `ViewDefinition.getMaximumIdentifierLength()`, `getViewDefinition()`

### getViewDefinition_IndexSupported

    EAttribute getViewDefinition_IndexSupported()

  Returns the meta object for the attribute '`Index Supported`'.

  Returns:
    the meta object for the attribute 'Index Supported'.
  See Also:
    `ViewDefinition.isIndexSupported()`, `getViewDefinition()`

### getFieldQualifierDefinition

    EClass getFieldQualifierDefinition()

  Returns the meta object for class '`Field Qualifier Definition`'.

  Returns:
    the meta object for class 'Field Qualifier Definition'.
  See Also:
    `FieldQualifierDefinition`

### getFieldQualifierDefinition_ValidTrailingFieldQualifierDefinitions

    EReference getFieldQualifierDefinition_ValidTrailingFieldQualifierDefinitions()

  Returns the meta object for the reference list '`Valid Trailing Field Qualifier Definitions`'.

  Returns:
    the meta object for the reference list 'Valid Trailing Field Qualifier Definitions'.
  See Also:
    `FieldQualifierDefinition.getValidTrailingFieldQualifierDefinitions()`, `getFieldQualifierDefinition()`

### getFieldQualifierDefinition_Name

    EAttribute getFieldQualifierDefinition_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `FieldQualifierDefinition.getName()`, `getFieldQualifierDefinition()`

### getFieldQualifierDefinition_MaximumPrecision

    EAttribute getFieldQualifierDefinition_MaximumPrecision()

  Returns the meta object for the attribute '`Maximum Precision`'.

  Returns:
    the meta object for the attribute 'Maximum Precision'.
  See Also:
    `FieldQualifierDefinition.getMaximumPrecision()`, `getFieldQualifierDefinition()`

### getFieldQualifierDefinition_DefaultPrecision

    EAttribute getFieldQualifierDefinition_DefaultPrecision()

  Returns the meta object for the attribute '`Default Precision`'.

  Returns:
    the meta object for the attribute 'Default Precision'.
  See Also:
    `FieldQualifierDefinition.getDefaultPrecision()`, `getFieldQualifierDefinition()`

### getFieldQualifierDefinition_PrecisionSupported

    EAttribute getFieldQualifierDefinition_PrecisionSupported()

  Returns the meta object for the attribute '`Precision Supported`'.

  Returns:
    the meta object for the attribute 'Precision Supported'.
  See Also:
    `FieldQualifierDefinition.isPrecisionSupported()`, `getFieldQualifierDefinition()`

### getFieldQualifierDefinition_MaximumScale

    EAttribute getFieldQualifierDefinition_MaximumScale()

  Returns the meta object for the attribute '`Maximum Scale`'.

  Returns:
    the meta object for the attribute 'Maximum Scale'.
  See Also:
    `FieldQualifierDefinition.getMaximumScale()`, `getFieldQualifierDefinition()`

### getFieldQualifierDefinition_DefaultScale

    EAttribute getFieldQualifierDefinition_DefaultScale()

  Returns the meta object for the attribute '`Default Scale`'.

  Returns:
    the meta object for the attribute 'Default Scale'.
  See Also:
    `FieldQualifierDefinition.getDefaultScale()`, `getFieldQualifierDefinition()`

### getFieldQualifierDefinition_ScaleSupported

    EAttribute getFieldQualifierDefinition_ScaleSupported()

  Returns the meta object for the attribute '`Scale Supported`'.

  Returns:
    the meta object for the attribute 'Scale Supported'.
  See Also:
    `FieldQualifierDefinition.isScaleSupported()`, `getFieldQualifierDefinition()`

### getDebuggerDefinition

    EClass getDebuggerDefinition()

  Returns the meta object for class '`Debugger Definition`'.

  Returns:
    the meta object for class 'Debugger Definition'.
  See Also:
    `DebuggerDefinition`

### getDebuggerDefinition_ConditionSupported

    EAttribute getDebuggerDefinition_ConditionSupported()

  Returns the meta object for the attribute '`Condition Supported`'.

  Returns:
    the meta object for the attribute 'Condition Supported'.
  See Also:
    `DebuggerDefinition.isConditionSupported()`, `getDebuggerDefinition()`

### getPrivilegedElementDefinition

    EClass getPrivilegedElementDefinition()

  Returns the meta object for class '`Privileged Element Definition`'.

  Returns:
    the meta object for class 'Privileged Element Definition'.
  See Also:
    `PrivilegedElementDefinition`

### getPrivilegedElementDefinition_PrivilegeDefinitions

    EReference getPrivilegedElementDefinition_PrivilegeDefinitions()

  Returns the meta object for the containment reference list '`Privilege Definitions`'.

  Returns:
    the meta object for the containment reference list 'Privilege Definitions'.
  See Also:
    `PrivilegedElementDefinition.getPrivilegeDefinitions()`, `getPrivilegedElementDefinition()`

### getPrivilegedElementDefinition_Name

    EAttribute getPrivilegedElementDefinition_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `PrivilegedElementDefinition.getName()`, `getPrivilegedElementDefinition()`

### getPrivilegeDefinition

    EClass getPrivilegeDefinition()

  Returns the meta object for class '`Privilege Definition`'.

  Returns:
    the meta object for class 'Privilege Definition'.
  See Also:
    `PrivilegeDefinition`

### getPrivilegeDefinition_ActionElementDefinitions

    EReference getPrivilegeDefinition_ActionElementDefinitions()

  Returns the meta object for the reference list '`Action Element Definitions`'.

  Returns:
    the meta object for the reference list 'Action Element Definitions'.
  See Also:
    `PrivilegeDefinition.getActionElementDefinitions()`, `getPrivilegeDefinition()`

### getPrivilegeDefinition_Name

    EAttribute getPrivilegeDefinition_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `PrivilegeDefinition.getName()`, `getPrivilegeDefinition()`

### getSequenceDefinition_DefaultDataTypeDefinition

    EReference getSequenceDefinition_DefaultDataTypeDefinition()

  Returns the meta object for the reference '`Default Data Type Definition`'.

  Returns:
    the meta object for the reference 'Default Data Type Definition'.
  See Also:
    `SequenceDefinition.getDefaultDataTypeDefinition()`, `getSequenceDefinition()`

### getCheckOption

    EEnum getCheckOption()

  Returns the meta object for enum '`Check Option`'.

  Returns:
    the meta object for enum 'Check Option'.
  See Also:
    `CheckOption`

### getLanguageType

    EEnum getLanguageType()

  Returns the meta object for enum '`Language Type`'.

  Returns:
    the meta object for enum 'Language Type'.
  See Also:
    `LanguageType`

### getParameterStyle

    EEnum getParameterStyle()

  Returns the meta object for enum '`Parameter Style`'.

  Returns:
    the meta object for enum 'Parameter Style'.
  See Also:
    `ParameterStyle`

### getParentDeleteDRIRuleType

    EEnum getParentDeleteDRIRuleType()

  Returns the meta object for enum '`Parent Delete DRI Rule Type`'.

  Returns:
    the meta object for enum 'Parent Delete DRI Rule Type'.
  See Also:
    `ParentDeleteDRIRuleType`

### getParentUpdateDRIRuleType

    EEnum getParentUpdateDRIRuleType()

  Returns the meta object for enum '`Parent Update DRI Rule Type`'.

  Returns:
    the meta object for enum 'Parent Update DRI Rule Type'.
  See Also:
    `ParentUpdateDRIRuleType`

### getProcedureType

    EEnum getProcedureType()

  Returns the meta object for enum '`Procedure Type`'.

  Returns:
    the meta object for enum 'Procedure Type'.
  See Also:
    `ProcedureType`

### getTableSpaceType

    EEnum getTableSpaceType()

  Returns the meta object for enum '`Table Space Type`'.

  Returns:
    the meta object for enum 'Table Space Type'.
  See Also:
    `TableSpaceType`

### getPercentFreeTerminology

    EEnum getPercentFreeTerminology()

  Returns the meta object for enum '`Percent Free Terminology`'.

  Returns:
    the meta object for enum 'Percent Free Terminology'.
  See Also:
    `PercentFreeTerminology`

### getLengthUnit

    EEnum getLengthUnit()

  Returns the meta object for enum '`Length Unit`'.

  Returns:
    the meta object for enum 'Length Unit'.
  See Also:
    `LengthUnit`

### getDatabaseDefinitionFactory

    DatabaseDefinitionFactory getDatabaseDefinitionFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.